 CREATE TABLE IF NOT EXISTS `#__grids` (
			  `idGrid` int(11) NOT NULL AUTO_INCREMENT,
			  `tableCaption` varchar(127) NOT NULL,
			  `connection` varchar(7) NOT NULL,
			  `tableName` varchar(127) NOT NULL,
			  `columnNames` TEXT,
			  `columnCaptions` TEXT,
			  `paging` tinyint(1) NOT NULL,
			  `nrPages` int(2) NOT NULL,
			  `typejx` varchar(4) NOT NULL,
			  `default_order` varchar(63) NOT NULL,
			  `nrRows` int(6) NOT NULL,
			  `showTitle` BOOL NOT NULL ,
			  `whereCond` VARCHAR( 255 ) NOT NULL ,
			  `hColor` VARCHAR( 6 ) NOT NULL ,
			  `sColor` VARCHAR( 6 ) NOT NULL ,
			  `rColor1` VARCHAR( 6 ) NOT NULL ,
			  `rColor2` VARCHAR( 6 ) NOT NULL ,
			  `rColorMO` VARCHAR( 6 ) NOT NULL ,
			  `PBColor` VARCHAR( 6 ) NOT NULL,
			  `caseSensitive` BOOL NOT NULL,
			  `nrRecords` TINYINT( 1 ) NOT NULL ,
			  `lineNr` TINYINT( 1 ) NOT NULL,
			  `searchF` TEXT,
			  `poweredBy` TINYINT( 1 ) NOT NULL,
			  `showtime` TINYINT( 1 ) NOT NULL,
			  `secOrder` VARCHAR( 63 ) NOT NULL,
			  `nrRecSelect` TINYINT( 1 ) NOT NULL,
			  `link` TEXT,
			  `img` VARCHAR( 63 ) NOT NULL ,
			  `execPlugins` TINYINT( 1 ) NOT NULL,
			  `lineHeight` INT( 3 ) NOT NULL,
			  `cardsPerRow` TINYINT( 1 ) NOT NULL,
			  `shAtrib` TINYINT( 1 ) NOT NULL,
			  `cardBorder` INT(1) NOT NULL,
			  PRIMARY KEY (`idGrid`)
			) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
			
			CREATE TABLE IF NOT EXISTS `#__grid_conn` (
			  `idConn` int(11) NOT NULL auto_increment,
			  `connName` varchar(32) NOT NULL,
			  `idGrid` int(11) NOT NULL,
			  `dbType` varchar(31) NOT NULL,
			  `dbHost` varchar(124) NOT NULL,
			  `dbUser` varchar(31) NOT NULL,
			  `dbPass` varchar(31) NOT NULL,
			  `dbName` varchar(31) NOT NULL,
			  PRIMARY KEY  (`idConn`)
			);
			
			 CREATE TABLE IF NOT EXISTS `#__grid_columns` (
				`id` INT NOT NULL AUTO_INCREMENT ,
				`idGrid` INT( 11 ) NOT NULL,
				`order` INT NOT NULL ,
				`columnName` VARCHAR( 255 ) NOT NULL ,
				`columnLabel` VARCHAR( 255 ) NOT NULL ,
				`linkType` INT NOT NULL ,
				`linkColumn` VARCHAR( 255 ) NOT NULL ,
				`customLink` VARCHAR( 255 ) NOT NULL ,
				`columnWidth` INT NOT NULL ,
				`columnAling` VARCHAR( 6 ) NOT NULL ,
				`displayLabel` BOOL NOT NULL ,
				`displayFilter` BOOL NOT NULL ,
				`filterType` VARCHAR( 16 ) NOT NULL ,
				PRIMARY KEY ( `id` )
				) ENGINE=MyISAM  DEFAULT CHARSET=utf8; 