<?php
#-------------------------------------------------------------------------------
# Copyright (c) 2018 Tools JX.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the GNU Public License v3.0
# which accompanies this distribution, and is available at
# https://www.gnu.org/licenses/gpl-3.0.en.html
#
# Contributors:
# 	Zavod Skatla/Web-help.me  (initial API and implementation)
# Contact:
# 	toolsjx@web-help.me
#-------------------------------------------------------------------------------
//allow acces only trough joomla
defined( '_JEXEC' ) or die( 'Restricted access' );

class CardView extends GridBuilder{

	function beforeQuery() {
			$this->queryStart = $this->page*$this->rpp*$this->_config->cardsPerRow;
			$this->queryLimit = $this->rpp*$this->_config->cardsPerRow;
	}

  function build() {

		$conf_edit = "0";
		$conf_headers = "1";

		$field;
		$input;

		$grid_url = $_SERVER['PHP_SELF']."?option=com_grid&gid=".$this->_ID;
		$grid_url2 = $_SERVER['PHP_SELF']."?option=com_grid";

		$images_url = JURI::base().'components/com_grid/images/';

		$input['get_action'] = "";
		$input['post_action'] = "";
		if (isset($_GET["a"])) {
			$input['get_action'] = $_GET["a"];
		}
		if (isset($_POST["a"])) {
			$input['post_action'] = $_POST["a"];
		}
		if ("$input[get_action]"=="") {
			$input['get_action'] = $input['post_action'];
		}
		$field['get_action'] = $this->mysql_escape_mimic($input['get_action']);
		$field['post_action'] = $this->mysql_escape_mimic($input['post_action']);

		$this->_config->hColor = "#".$this->_config->hColor;
		$this->_config->sColor = "#".$this->_config->sColor;
		$row_colora1 = $this->_config->rColor1;
		$this->_config->rColor1 = "#".$this->_config->rColor1;
		$row_colora2 = $this->_config->rColor2;
		$this->_config->rColor2 = "#".$this->_config->rColor2;
		$row_colora_selected = $this->_config->row_color_selected;
		$this->_config->PBColor = "#".$this->_config->PBColor;

		$conf_edit = explode("|",$conf_edit);

		$field['search_menu'] = "";

		$field['search_menu'] .= "<option value=\"0\"";

		if ("$this->searchField"=="0") {

			$field['search_menu'] .= " selected";

		}

		$field['search_menu'] .= ">".JText::_('JX_ALL_FIELDS');

		$field['sort'] = JText::_('JX_SORT_BY').": ";
		$field['sort'] .= "<input type=\"radio\" name=\"sortOrder\" value=\"ASC\"";
		if(($this->direction=="ASC") || ($this->direction=="")) $field['sort'] .= " checked ";
		$field['sort'] .= "/>".JText::_('JX_SORT_ASC').' ';

		$field['sort'] .= "<input type=\"radio\" name=\"sortOrder\" value=\"DESC\"";
		if($this->direction=="DESC") $field['sort'] .= " checked ";
		$field['sort'] .= "/>".JText::_('JX_SORT_DESC').' ';


		$field['sort'] .= "<select name=\"selectSort\" id=\"selectSort\">";

		//$column_captions = $this->_config->columnCaptions;
		//$conf_columns = $this->_config->columnNames;
		$conf_columns_count = count($this->_config->columns);
		$conf_order = $this->_config->default_order;
		//$links = @explode('|',$this->_config->link);
		//$linkTypes=Array();
		//$linkCols=Array();



////////////////COLUMN OPTION LISTS

		foreach ($this->_config->columns as $column) {

			  $field['sort'] .= "<option value=\"$column->columnName\"";
			  if($this->orderBy==$column->columnLabel) $field['sort'] .= " selected ";
			  $field['sort'] .= ">" . $column->columnLabel . "</option>";

			  $field['search_menu'] .= "<option value=\"$column->columnName\"";

				if ("$this->searchField"=="$column->columnName") {

					$field['search_menu'] .= " selected";

				}

				$field['search_menu'] .= ">".$column->columnLabel; //ucwords(str_replace("_"," ",$column->columnName));
			}



///////////////////////////////////////////////////////////

		$field['total_pages'] = ceil($this->rows/($this->_config->cardsPerRow*$this->rpp));
		$field['total_pages'] = round($field['total_pages']);

		##### HEADER AND SEARCH MENU LAYOUT #####

		$title = "<table cellpadding=0 cellspacing=0 border=0 class=\"noborder\"><tr><td valign=\"bottom\" style=\"border:none;\"><a name=\"$this->_ID\"></a>";
		if($this->_config->showTitle)$title.="<span class=\"grid_title \">".$this->_config->tableCaption."</span>";
		$title.="</td><td style=\"border:none;\"><div style=\"width:25px; height:25px;\"  id=\"data_listings$this->_ID-showimg\"></div></td></tr>";
		$title.="<tr><td style=\"border:none;\" colspan=\"2\">";

		$title.=$this->searchForm($field['search_menu'], $grid_url);



		$title.= "</td></tr>";
		//$title.= "<tr><td colspan=\"2\" style=\"border:none;\">" . $field['sort'] . "</td></tr></table>";


		$field['output_script']=$title;

		if($this->_config->searchF['sortby']==1){
			////////////////////////////////// SORT //////////////////////////////////////////
			$field['sort'] .= "</select> <input class=\"input searchSubmit\" type=\"button\" value=\"".JText::_('JX_SORT_BTN')."\"
			  onClick=\"sortiraj(sortOrder, selectSort, '".$this->ajaxURL("", "")."', '$this->_ID');\" />";

			$field['output_script'].="<tr><td colspan=2 style=\"border:none;\"><form>".$field['sort']."</form></td></tr></table>";
		}

		$field['output_script'] .= "<form action=\"$grid_url2\" method=\"GET\" name=\"form\" style=\"margin:0px\">
<input type=\"hidden\" id=\"img_url\" value=\"".$images_url."\">
<input type=\"hidden\" name=\"gid\" value=\"".$this->_ID."\">";
		if (!isset($field['row_color'])) {
			$field['row_color'] = "";
		}
///////////////////////////////////DiISPLAYING ROW BY ROW////////////////////////////////////////////////////////////////////

		if($this->rows >= $this->_config->nrRows){
			$displayedRows = $this->_config->nrRows;
		}else{
			$displayedRows = $this->rows;
		}

		$field['output_script'].="<table border=0 class=\"noborder cardJX". $this->_config->_ID ." cardJX\">";

		for ($i = 0; $i < count($this->_data); $i++) {
		 if(($i%$this->_config->cardsPerRow)==0)
		  $field['output_script'].="<tr valign=\"top\">";
		 $barva=($i%2==0)?$this->_config->rColor1:$this->_config->rColor2;
		 //Ĺˇirina kartice se prilagaja Ĺˇtevilu stolpcev
		 $field['output_script'].="<td style=\"width: " . round(100/$this->_config->cardsPerRow) . "%;padding:3px;\">";
		 $field['output_script'].="<div class=\"cardJX".$this->_config->_ID."card\" onmouseover=\"style.backgroundColor='#".$this->_config->rColorMO."';\" onmouseout=\"style.backgroundColor='".$barva."';\" style=\"background:";
		 $field['output_script'].=$barva;
		 $field['output_script'].="; ";
		 if($this->_config->cardBorder) $field['output_script'].="border:1px #000000 solid;";
		 else $field['output_script'].="border:none;";
		 $field['output_script'].=" display:block;\">";


		  //$sirina=50;
		  $field['output_script'].="<table width=\"100%\">";



		  foreach ($this->_config->columns as $column) {
		    $field['output_script'].="<tr>";
		    $izpis=null;
		   if($column->displayLabel == 1) $field['output_script'].="<td class=\"cardJX".$this->_config->_ID."label".$column->columnName. "\" align=\"right\" valign=\"top\">". $column->columnLabel . ":</td>";

		    /*if((strlen($this->_data[$i][$column->columnName])>$sirina) && ( (!strstr($this->_data[$i][$column->columnName],"href=\"")) && (!strstr($this->_data[$i][$column->columnName],"<img")) )) {
		      $ii=0;
		      while($ii<strlen($this->_data[$i][$column->columnName])) {
		        if(($ii+$sirina)<strlen($this->_data[$i][$column->columnName])) $izpis .= substr($this->_data[$i][$column->columnName],$ii,$sirina) . "<br/>";
		        else $izpis .= substr($this->_data[$i][$column->columnName],$ii,strlen($this->_data[$i][$column->columnName])) . "<br/>";
		        $ii+=$sirina;
		      }
		    } else*/ $izpis=$this->_data[$i][$column->columnName];

		    //linki
		    if($column->linkType != 0){
		    	$link=$this->_data[$i][$column->linkColumn];
		    	$izpis = $this->createLink($column->linkType,$link, $izpis, $column->customLink);
		    }



		    if($column->displayLabel == 1) $field['output_script'] .= "<td class=\"cardJX".$this->_config->_ID.$column->columnName. "\" >" . $izpis . "</td></tr>";
		   	else $field['output_script'] .= "<td width=\"100%\" class=\"cardJX".$this->_config->_ID.$column->columnName. "\" colspan=2 align='center'>" . $izpis . "</td></tr>";
		  }

		  $field['output_script'].="</table>";
		  $field['output_script'].="</div></td>";
		  if(($i%$this->_config->cardsPerRow)==$this->_config->cardsPerRow-1)
		    $field['output_script'].="</tr>";
		}


		if ("$this->rows"=="0") {

			$conf_columns_count2 = $conf_columns_count;

			if ("$conf_edit[0]"!="0") {

				$conf_columns_count2 = $conf_columns_count + 1;

			}

			$field['output_script'] .= "<table border=0><tr><td colspan=$conf_columns_count2 align=center><span class=\"field\">&nbsp;<br><b>".JText::_('JX_NO_RECORDS')."</b><br>&nbsp;</span></td></tr>
	";

		}
  if(($this->_config->searchF['submitFirst']==1 && "$this->isAjax"!="1")){
			// display data only after search submit
			$field['output_script'] .="<table border=0><tr><td colspan=$conf_columns_count align=center><span class=\"field\">&nbsp;<br><b>".JText::_('JX_PLEASE_ENTER')."</b><br>&nbsp;</span></td></tr>";
		}

/////////////////////////////// pagination ////////////////////////////////////////////////////////////////////////////////


		if ($this->_config->paging) {
			$colspan=$conf_columns_count+$this->_config->lineNr;
			$field['output_script'] .="<tr><td colspan=$colspan>";

			if ("$field[total_pages]"=="0") {

				$field['total_pages'] = 1;

			}

			$field['output_script'] .= "
		<table width=\"100%\" border=0 cellpadding=3 cellspacing=0 style=\"width:100%;margin-top: 0.5em ;\"><tr style=\"background-color:".$this->_config->PBColor."\"><td style=\"border:none;margin:0px;width: 9em ;\">";

			$field['output_script'] .= JText::sprintf("JX_PAGES", $this->page+1, $field['total_pages']);
			$field['output_script'] .= "</td><td style=\"border:none;margin:0px;padding:0px;\" >";

			if($this->rows > $this->rpp){

				$field['output_script'] .="<table border=0 cellpadding=0 cellspacing=0 style=\"border:none;margin:0px;padding:0px;\">
			<tr style=\"border:none;margin:0px;padding:0px;\">";

				if ($this->page>0) {

					$field['output_script'] .= "<td style=\"border:none;margin:0px;padding:0px;\">
					<a href=\"javascript:;\" onclick=\"searchjx('".$this->ajaxURL("", "", 0 )."', '$this->_ID');\"	>
					&lt;&lt;".JText::_('JX_FIRST_PAGE')."</a></td>
					";
					$field['output_script'] .= "<td style=\"border:none;margin:0px;padding:0px 0px 0px 3px;\">
				<a href=\"javascript:;\" onclick=\"searchjx('".$this->ajaxURL("", "", $this->page-1)."','$this->_ID');\" >
				&lt;".JText::_('JX_PREVIOUS_PAGE')."</a></td>
				";

				}
				else{
					$field['output_script'] .= "<td style=\"border:none;margin:0px;padding:0px;\"><span class=\"pageButtonsDisabled\">
					&lt;&lt;".JText::_('JX_FIRST_PAGE')."</span></td>
					";
					$field['output_script'] .= "<td style=\"border:none;margin:0px;padding:0px 0px 0px 3px;\"><span class=\"pageButtonsDisabled\">
				&lt;".JText::_('JX_PREVIOUS_PAGE')."</span></td>
				";
				}

				if ($this->_config->nrPages > 0){

					$start;
					$half = ceil($this->_config->nrPages/2);

					if($this->page + 1 < $half || $this->_config->nrPages >= $field['total_pages']){
						$start=0;
					}
					elseif($this->page+1 >= $half && $this->page+1 <= ($field['total_pages']-$half)){
						$start = $this->page-$half+1;
					}else{
						$start = $field['total_pages']-$this->_config->nrPages;
					}



					$k = 0;

					for ($i = $start; $i<$field['total_pages']; $i++) {
						$k++;

						if (($i)==$this->page) {

							$field['output_script'] .= "<td style=\"border:none;margin:0px;padding:0px;width: 1.5em ;text-align:center;padding:0px 1px 0px 1px;\">";
							$field['output_script'] .= "<a href=\"javascript:;\" onclick=\"searchjx('".$this->ajaxURL("", "", $i)."', '$this->_ID');\" class=\"currentPageNum\" >";
							$field['output_script'] .= "<b>".($i+1)."</b>";
							$field['output_script'] .= "</a></td>";


						} else {

							$field['output_script'] .= "<td style=\"border:none;margin:0px;padding:0px;width: 1.5em ;text-align:center;padding:0px 1px 0px 1px;\">
								<a href=\"javascript:;\" onclick=\"searchjx('".$this->ajaxURL("", "", $i)."', '$this->_ID');\" class=\"pageNum\" >";
							$field['output_script'] .= ($i+1);
							$field['output_script'] .= "</a></td>";
						}


						if($k >= $this->_config->nrPages) break;
					}

				}
				else $field['output_script'] .= '<td style="border:none;width: 1em ;"> </td>';

				if (($this->page+1)<$field['total_pages']) {

					$field['output_script'] .= "<td style=\"border:none;margin:0px;padding:0px;\">
				<a href=\"javascript:;\" onclick=\"searchjx('".$this->ajaxURL("", "", $this->page+1)."', '$this->_ID');\" >".JText::_('JX_NEXT_PAGE')."&gt;</a>
				</td>";
					$field['output_script'] .= "<td style=\"border:none;margin:0px;padding:0px 0px 0px 3px;\">
					<a href=\"javascript:;\" onclick=\"searchjx('".$this->ajaxURL("", "", $field['total_pages']-1)."', '$this->_ID');\" >
					".JText::_('JX_LAST_PAGE')."&gt;&gt;</a></td>
					";

				}
				else{
					$field['output_script'] .= "<td style=\"border:none;margin:0px;padding:0px;\">
				<span class=\"pageButtonsDisabled\">".JText::_('JX_NEXT_PAGE')."&gt;</span>
				</td>";
					$field['output_script'] .= "<td style=\"border:none;margin:0px;padding:0px 0px 0px 3px;\">
					<span class=\"pageButtonsDisabled\">
					".JText::_('JX_LAST_PAGE')."&gt;&gt;</span></td>
					";
				}
				$field['output_script'] .="</tr></table>";
			}


			$field['output_script'] .= "</td></tr></table></td></tr>
		";

		}


		$field['output_script'] .= "</table></form>
";
		//postprocessing
		$this->postprocessing($field['output_script']);

		if($this->_config->showtime){
			$time= (microtime(true)-$this->starttime)*1000;
			$pointpos=strpos($time,'.');
			$str_time;
			if ($pointpos >= 3)
				$str_time .= substr($time,0,$pointpos+1);
			else
				$str_time .= substr($time,0,4);
			$field['output_script'] .= "<div>".JText::sprintf('JX_QUERY_TOOK', $str_time)."</div>";
		}
		if($this->_config->poweredBy){
			$field['output_script'] .= "<div style=\"font-size:6px;float:right;\">Powered by <a href=\"https://toolsjx.web-help.me\">Tools JX</a></div>";
		}

		$output = '<div id="data_listings'.$this->_ID.'">'.$field['output_script'].'</div>
		<noscript>For proper performance enable JavaScript. Pages:';
		$output .="&nbsp;<a href=\"$grid_url&p=0\">1</a>";
		for($i=1; $i<$field['total_pages']; $i++){
			$output .=",&nbsp;<a href=\"$grid_url&p=$i\">".(1+$i)."</a>";
		}
		$output .='<br>Powered by <a href=\"https://toolsjx.web-help.me\">Tools JX</a>.</noscript>';


		if ("$this->isAjax"=="1") {
			header("Content-Type: text/html; charset=utf-8");
			echo $field['output_script'];
			exit;

		}

		return $output;
  }
  /*
	function createLink($type, $link, $datum){
		$output="";
		switch($type){
			case '0':{
				$output = $datum;
			}break;
			case '1':{
				$output = '<a href="'.$link.'">'.$datum.'</a>';
			}break;
			case '2':{
				$output = '<a href="?option=com_content&view=article&id='.$link.'">'.$datum.'</a>';
			}break;
			default:{
				$link = str_replace('@ID', $link, $type);
				$output = '<a href="'.$link.'">'.$datum.'</a>';
			}
		}
		return $output;
	}

	function searchForm($grid_url, $search_menu, $data_search){
		$search_form = '<form action="javascript:;" name="asearch_form" onsubmit="searchjx(\''.$grid_url.'\', \''.$this->_ID.'\')" style="margin:0px;">
		<span class="searchForm">';
		if($this->_config->searchF){
			$search_form .='Search: <select id="sf'.$this->_ID.'" name="s_f" class="input searchField">'.$search_menu.'</select> <input id="ds'.$this->_ID.'" type="text" name="data_search" size=20 value="'.$data_search.'" class="input searchData">
			<input type="submit" name="submit" value="Search" class="input searchSubmit">';
		}
		if($this->_config->nrRecSelect){
			$search_form.='&nbsp;&nbsp;Rows per Page:
			<select id="rpp'.$this->_ID.'" name="rpp" onchange="searchjx(\''.$grid_url.'\', \''.$this->_ID.'\')" style="margin:0px;">
				<option value="'.$this->_config->nrRows.'">&nbsp;</option>
				<option value="1" '; if($this->rpp == 1)$search_form .='selected'; $search_form .='>1</option>
				<option value="2" '; if($this->rpp == 2)$search_form .='selected'; $search_form .='>2</option>
				<option value="3" '; if($this->rpp == 3)$search_form .='selected'; $search_form .='>3</option>
				<option value="5" '; if($this->rpp == 5)$search_form .='selected'; $search_form .='>5</option>
				<option value="10" '; if($this->rpp == 10)$search_form .='selected'; $search_form .='>10</option>
				<option value="15" '; if($this->rpp == 15)$search_form .='selected'; $search_form .='>15</option>
				<option value="20" '; if($this->rpp == 20)$search_form .='selected'; $search_form .='>20</option>
			</select>';
		}
		$search_form.= '</span></form>';
		return $search_form;
	}*/
}
