<?php
#-------------------------------------------------------------------------------
# Copyright (c) 2018 Tools JX.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the GNU Public License v3.0
# which accompanies this distribution, and is available at
# https://www.gnu.org/licenses/gpl-3.0.en.html
#
# Contributors:
# 	Zavod Skatla/Web-help.me  (initial API and implementation)
# Contact:
# 	toolsjx@web-help.me
#-------------------------------------------------------------------------------
defined('_JEXEC') or die('Restricted access'); ?>
<?php
$document = JFactory::getDocument();
$document->addScript( 'components/com_grid/js/editform.js' );
$document->addScript( 'components/com_grid/js/jscolor/jscolor.js' );
$document->addStyleSheet('components/com_grid/css/editform.css');

JHTML::_('behavior.tooltip');

?>

<style type="text/css">
.hide {
	display: none
}

.showRow {
	display: table-row;
}

.showBlock {
	display: block;
}
</style>
<form
	action="index.php" method="post" name="adminForm" id="adminForm">
<table cellpadding="0" cellspacing="0" width="100%">
	<tr valign="top">
		<td>
		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Title' ); ?></legend>
		<table class="admintable">
			<tr>
				<td width="100" align="right" class="key"><label for="tableCaption">
				<?php echo JText::_( 'Table Title' ); ?>: </label></td>
				<td><input class="text_area" type="text" name="tableCaption"
					id="tableCaption" size="32" maxlength="250"
					value="<?php echo $this->grid->tableCaption;?>" /></td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="showTitle"> <?php echo JText::_( 'Show Title' ); ?>:
				</label></td>
				<td><input type="radio" name="showTitle" value="1"
				<?php if ($this->grid->showTitle == "1") echo 'checked'?> /> Yes <input
					type="radio" name="showTitle" value="0"
					<?php if ($this->grid->showTitle == "0") echo 'checked'?> /> No</td>
			</tr>
		</table>
		</fieldset>
		</div>
		</td>
		<td>
		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Layout' ); ?></legend>
		<table class="admintable">
			<tr>
				<td width="100" align="right" class="key"><label for="view"> <?php echo JText::_( 'Choose Frontend Layout' ); ?>:
				</label></td>
				<td><?php include 'checkFile.php'; ?></td>

			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
		</table>
		</fieldset>
		</div>
		</td>
	</tr>




	<tr>
		<td><?php //preveri katera konekcija je nastavljena
					$isOther = false; if($this->grid->connection == 'other') $isOther=true;?>


		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Connection' ); ?></legend>
		<table class="admintable">
			<tr>
				<td width="100" align="right" class="key"><label for="connection"> <?php echo JText::_( 'Select Connection' ); ?>:
				</label></td>
				<td><input type="radio" name="connection" id="joomla" value="joomla"
				<?php if (!$isOther) echo 'checked'?> onclick="enableConn()" /> Same
				as Joomla's <input type="radio" name="connection" value="other"
				<?php if ($isOther) echo 'checked'?> onclick="enableConn()" /> Other
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="dbType"> <?php echo JText::_( 'Database Type' ); ?>:
				</label></td>
				<td><input class="text_area" type="text" name="dbType" id="dbType"
					size="32" maxlength="250" value="<?php echo $this->conn->dbType;?>"
					<?php if(!$isOther)echo 'disabled="disabled"';?> /></td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="dbHost"> <?php echo JText::_( 'Database Host' ); ?>:
				</label></td>
				<td><input class="text_area" type="text" name="dbHost" id="dbHost"
					size="32" maxlength="250" value="<?php echo $this->conn->dbHost;?>"
					<?php if(!$isOther)echo 'disabled="disabled"';?> /></td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="dbUser"> <?php echo JText::_( 'Database User' ); ?>:
				</label></td>
				<td><input class="text_area" type="text" name="dbUser" id="dbUser"
					size="32" maxlength="250" value="<?php echo $this->conn->dbUser;?>"
					<?php if(!$isOther)echo 'disabled="disabled"';?> /></td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="dbPass"> <?php echo JText::_( 'Password' ); ?>:
				</label></td>
				<td><input class="text_area" type="password" name="dbPass"
					id="dbPass" size="32" maxlength="250"
					value="<?php echo $this->conn->dbPass;?>"
					<?php if(!$isOther)echo 'disabled="disabled"';?> /></td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="dbName"> <?php echo JText::_( 'Database Name' ); ?>:
				</label></td>
				<td><input class="text_area" type="text" name="dbName" id="dbName"
					size="32" maxlength="250" value="<?php echo $this->conn->dbName;?>"
					<?php if(!$isOther)echo 'disabled="disabled"';?> /></td>
			</tr>
			<tr>
				<td></td>
				<td><input class="button" type="button" name="dbcheck" id="dbcheck"
					size="32" maxlength="250"
					onclick="javascript: submitbutton('dbcheck')"
					value="<?php echo JText::_('Check and List Tables') ?>" /></td>
			</tr>
		</table>
		</fieldset>
		</div>

		</td>
		<td valign="top">

		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Table Settings' ); ?></legend>
		<table class="admintable">
			<tr>
				<td width="100" align="right" class="key"><label for="tableName"> <?php echo JText::_( 'Table Name in Database' ); ?>:
				</label></td>
				<?php if($this->tbList == null){ ?>
				<td><input class="text_area" type="text" name="tableName"
					id="tableName" size="32" maxlength="250"
					value="<?php echo $this->grid->tableName;?>" /></td>
					<?php } else{ ?>
				<td><select name="tableName" id="selectTable"
					onchange="javascript: submitbutton('dbcheck')">
					<option value="null" id="opt">--Select Table--</option>
					<?php foreach($this->tbList as $table){
						echo '<option value="'.$table.'" ';
						if ($this->grid->tableName == $table) echo 'selected="selected"';
						echo ' >'.$table.'</option>';


					}?>


				</select></td>
				<?php } ?>
				<td><!-- <input class="button" type="button" name="dbcheck" id="dbcheck2" size="32" maxlength="250" onclick="javascript: submitbutton('dbcheck')"
                	value="<?php echo JText::_('List Columns')?>" >  --></td>

			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="sortField"> <?php echo JText::_( 'Default Sort Column' ); ?>:
				</label></td>

				<td><select name="sortField" id="sortField">
				<?php if($this->colList==null){
					echo '<option>#############</option>';
				}
				else{
					foreach($this->colList as $col){
						echo '<option value="'.$col.'" ';
						if ($this->grid->sortField == $col) echo 'selected="selected"';
						echo ' >'.$col.'</option>';


					}}?>


				</select></td>

				<td><?php // if($this->colList==null)echo 'Select table and press button \'List Columns\'.'; ?>
				</td>

			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="sortDirection">
				<?php echo JText::_( 'Default Sort Direction' ); ?>: </label></td>
				<td><input type="radio" name="sortDirection" id="sd1" value="ASC"
				<?php if ($this->grid->sortDirection == 'ASC') echo 'checked'?> />
				Ascending <input type="radio" name="sortDirection" id="sd2"
					value="DESC"
					<?php if ($this->grid->sortDirection == 'DESC') echo 'checked'?> />
				Descending</td>
				<td></td>

			</tr>
			<tr>
				<td width="100" align="right">&nbsp;</td>
				<td></td>
				<td></td>

			</tr>
		</table>
		</fieldset>
		</div>

		</td>
	</tr>
</table>

					<?php /*****************************COLUMNS*****************************************/ ?>

<div class="col100">
<fieldset class="adminform"><legend><?php echo JText::_( 'Columns' ); ?></legend>
					<?php if($this->colList==null){
						echo 'Select table!';
					}
					else{
						?>
<table class="admintable columnsTable" id=haupttabelle>
	<tr>
		<td class="key" style="text-align: left;">Unused columns:</td>
		<td></td>

		<td class="key" style="text-align: left; width: auto;">Shown columns:</td>
		<td></td>
	</tr>
	<tr>
		<td valign="top"><input type="button" id="selectAllButton"
			value="mark all" onclick="selectAll(true, 'selectColList')"> <!-- <input type="button" id="unselectAllButton" value="unmark all" onclick="selectAll(false)"> -->
		<br>
		<br>
		<select id="selectColList" size="15" multiple="multiple"
			style="width: 100%;">
			<?php
			$i=0;
			foreach($this->colList as $col){


				?>
				<?php if($this->grid->colMap[$col]== '' ){?>
			<option value="<?php echo $col; ?>" id="<?php echo 'opt'.$i;?>"><?php echo $col; ?>
			</option>
			<?php $i++;}
			} ?>
		</select></td>
		<td><input type="button" onclick="addCol('record')" value=">>"><br>
		<input type="button" value="<?php echo '<<';?>" onclick="removeCol()">
		</td>

		<td valign="top">
		<table class="adminlist" id="colTable">
			<tr>
				<th width="20"><input type="checkbox" id="checkAllCbx" name="toggle"
					onclick="checkAllCB(this,'selectColCbx[]')" /></th>
				<th width="100" style="text-align: left;"><?php echo JText::_( 'Column Names' ); ?>

				</th>
				<th width="100" style="text-align: left;"><?php echo JText::_( 'Column Captions' ); ?>

				</th>
				<th width="100" style="text-align: left; width: 70px"><?php echo JText::_( 'Allow edit?' ); ?>

				</th>

			</tr>

			<?php
			$i=0;
			if(is_array($this->grid->colMap)){
				foreach($this->grid->colMap as $col => $caption){
					if(trim($col) != '' && in_array($col, $this->colList)){
						$moreConfig=json_decode($this->grid->moreConfig[$col]);
						?>
			<tr id="<?php echo 'row_'.$col; ?>">
				<td><input type="checkbox" id="<?php echo 'cbx'.$i;?>"
					name="selectColCbx[]" value="<?php echo $col; ?>" /> <input
					type="hidden" name="selectCol[]" value="<?php echo $col; ?>" /></td>
				<td><?php echo $col; ?></td>
				<td><input class="text_area" type="text"
					name="colMap[<?php echo $col; ?>]" size="32" maxlength="250"
					value="<?php echo $caption;?>" /></td>
				<td><input type="checkbox" name="edit[<?php echo $col; ?>]"
				<?php echo $moreConfig->edit==1?"checked=checked":""; ?> /></td>

			</tr>
			<?php $i++;}}} ?>
		</table>
		</td>
		<td rowspan="3" valign="top"></td>
	</tr>

</table>
			<?php } ?></fieldset>
</div>

			<?php ////////////////////////////////////////////// A P P E A R A N C E /////////////////////////////////////////////////////////?>
<table cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td width="50%" valign="top">
		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Appearance' ); ?></legend>
		<table cellpadding="0" cellspacing="0">
			<tr>
				<td valign="top">
				<table class="admintable">

					<tr>
						<td width="100" align="right" class="key"><label for="poweredBy">
						<?php echo JText::_( 'Show \'Powered by\''); ?>: </label></td>
						<td><input type="radio" name="poweredBy" value="1"
						<?php if ($this->grid->poweredBy == "1") echo 'checked'?> /> Yes <input
							type="radio" name="poweredBy" value="0"
							<?php if ($this->grid->poweredBy == "0") echo 'checked'?> /> No</td>
						<td></td>

					</tr>
					<tr>
						<td width="100" align="right" class="key"><label for="rColor1"> <?php echo JText::_( 'Row Color 1'); ?>:
						</label></td>
						<td><input class="color" type="text" name="rColor1" id="rColor1"
							size="6" maxlength="6" value="<?php echo $this->grid->rColor1?>" />
						</td>
						<td></td>

					</tr>
					<tr>
						<td width="100" align="right" class="key"><label for="rColor1"> <?php echo JText::_( 'Row Color 2'); ?>:
						</label></td>
						<td><input class="color" type="text" name="rColor2" id="rColor2"
							size="6" maxlength="6" value="<?php echo $this->grid->rColor2?>" />
						</td>
						<td></td>

					</tr>
					<?php
					$config = json_decode($this->grid->graphConfig);
					?>
					<tr>
						<td width="100" align="right" class="key"><label for="width"
			class="hasTip" title="Leave empty for 100% width."> <?php echo JText::_( 'Width'); ?>:
						</label></td>
						<td><input type="text" name="width" id="width"
							size="2" maxlength="4" value="<?php echo $config->width; ?>" /> px
						</td>
						<td></td>

					</tr>

				</table>
				</td>
				<td valign="top"></td>
			</tr>
		</table>
		</fieldset>
		</div>

		<?php ////////////////////////////////////////////// S E A R C H F O R M /////////////////////////////////////////////////////////?>
		</td>
		<td valign="top"><?php
		include 'search.php';
		?></td>
	</tr>
</table>

		<?php
		/***************************** F I L T E R  *************************************/

		$file=JPATH_COMPONENT_ADMINISTRATOR.'/views/grid/tmpl/filter.php';
		if(file_exists($file))include $file;

		?> <?php ////////////////////////////////////////////// A D V A N C E D /////////////////////////////////////////////////////////?>
<div class="col100">
<fieldset class="adminform"><legend><?php echo JText::_( 'Advanced' ); ?></legend>
<table class="admintable">
	<tr>
		<td width="100" align="right" class="key"><label for="whereCond"> <?php echo JText::_( 'Additional Condition'); ?>:
		</label></td>
		<td>
		<div style="width: 350px;">WHERE&nbsp;<input
			onchange="moveWhereCond()" type="text" style="width: 300px;"
			name="whereCond2" id="whereCond2" maxlength="255"
			value="<?php echo $this->grid->whereCond;?>" /></div>
		</td>
		<td>Instead of constants you can use as values also following
		expressions: <b>'@article_id', '@category_id', '@section_id',
		'@user_id'</b> and<b> '@group_id'</b>. Before the grid is displayed,
		these expressions will be replaced with current values of Article ID,
		Category ID, Section ID, User ID and User Group ID (according to field
		`id` of table `core_acl_aro_groups`) from Joomla! database. <br>
		Example: <code>`myfield_category` = '@category_id' AND
		`myfield_user_level` &lt;= '@group_id'</code></td>

	</tr>
	<tr>
		<td width="100" align="right" class="key"><label for="whereCond"
			class="hasTip"
			title="Case Sensitive Search::For correct behaviour collation on your database colums must be set to case sensitive">
			<?php echo JText::_( 'Case Sensitive Search'); ?>: </label></td>
		<td><input type="radio" name="caseSensitive" value="1"
		<?php if ($this->grid->caseSensitive == "1") echo 'checked'?> /> Yes <input
			type="radio" name="caseSensitive" value="0"
			<?php if ($this->grid->caseSensitive == "0") echo 'checked'?> /> No</td>
		<td></td>

	</tr>
	<tr>
		<td width="100" align="right" class="key"><label for="secOrder"> <?php echo JText::_( 'Secondary \'Order by\''); ?>:
		</label></td>
		<td><select name="secOrder" id="secOrder" onchange="enableSecOrder()">
		<?php
		echo '<option value="0"> -- not defined -- </option>';
		if($this->colList != null)
		{
			foreach($this->colList as $col){
				echo '<option value="'.$col.'" ';
				if ($this->grid->secOrder == $col) echo 'selected="selected"';
				echo ' >'.$col.'</option>';
			}
		}?>
		</select> <input type="radio" name="secOrderDirection" id="sod1"
			value="ASC"
			<?php if ($this->grid->secOrderDirection == 'ASC') echo 'checked'?> />
		ASC <input type="radio" name="secOrderDirection" id="sod2"
			value="DESC"
			<?php if ($this->grid->secOrderDirection == 'DESC') echo 'checked'?> />
		DESC <br>
		<input type="radio" name="secOrderRange" id="sor1" value="0"
		<?php if ($this->grid->secOrderRange == '0') echo 'checked'?> /> Apply
		always <input type="radio" name="secOrderRange" id="sor2" value="1"
		<?php if ($this->grid->secOrderRange == '1') echo 'checked'?> /> Only
		on Default Sort</td>
		<td></td>

	</tr>
	<tr>
		<td width="100" align="right" class="key"><label for="execPlugins"
			class="hasTip"
			title="Execute Content Plugins:: If 'Yes' than the event onContentPrepare will be fired on the active Content Plugins">
			<?php echo JText::_( 'Execute Content Plugins'); ?>: </label></td>
		<td><input type="radio" name="execPlugins" value="1"
		<?php if ($this->grid->execPlugins == "1") echo 'checked'?> /> Yes <input
			type="radio" name="execPlugins" value="0"
			<?php if ($this->grid->execPlugins == "0") echo 'checked'?> /> No</td>
		<td></td>

	</tr>


</table>
</fieldset>
</div>

<div class="clr"></div>

<input type="hidden" name="option" value="com_grid" /> <input
	type="hidden" name="idGrid" value="<?php echo $this->grid->idGrid; ?>" />
<!--<input type="hidden" name="typejx" value="grid" />--> <input
	type="hidden" name="idConn" value="<?php echo $this->conn->idConn; ?>" />
<input type="hidden" name="task" value="" /> <input type="hidden"
	id="whereCond" name="whereCond"
	value="<?php echo str_replace(array('<', '>'), array('{','}'), $this->grid->whereCond);?>" />
<!--  <input type="hidden" name="controller" value="hello" /> --></form>
