<?php
/**
 * @version     2.5.1
 * @package     com_pdjx
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */

defined('JPATH_BASE') or die;

JFormHelper::loadFieldClass('filelist');

/**
 * Supports an HTML select list of categories
 */
class JFormFieldPdjxfileslist extends JFormFieldFileList
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	public $type = 'Pdjxfileslist';

/**
	 * Method to get the field options.
	 *
	 * @return  array  The field option objects.
	 *
	 * @since   11.1
	 */
	protected function getOptions()
	{
		$cnf = JComponentHelper::getParams('com_paiddownloadsjx');
		$save_folder = $cnf->get('save_folder', 'administrator/components/com_paiddownloadsjx/files');
		// Initialize variables.
		$this->element['directory']=$save_folder;
		$this->element['hide_default']=1;

		return parent::getOptions();
	}
}