<?php
/**
 * @version     2.5.1
 * @package     com_pdjx
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */
 
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

class PaiddownloadsjxController extends JControllerLegacy
{
	
public function display($cachable = false, $urlparams = false)
	{
		$input		= $input = JFactory::getApplication()->input;
		$view		= $input->getCmd('view');
		$layout 	= $input->getCmd('layout');

			if ($layout == 'download' && $view == 'file') {
			// Is he who wants to get sth for free?
			$this->setRedirect('index.php', 'Be good!', 'error');
			return false;
		}

		parent::display();

		return $this;
	}
	
	public function confirm(){
	
		$app = JFactory::getApplication();
		$cnf = JComponentHelper::getParams('com_paiddownloadsjx');
		
		if ($cnf->get('debug'))JLog::addLogger(array( 'text_file' => 'pdjx.php' ), JLog::DEBUG,'pdjx');
				JLog::add('Task confirm started...',JLog::DEBUG,'pdjx');
				//JLog::add('What we got here is request:'.print_r(JRequest::get(),true),JLog::DEBUG,'pdjx'); //a customer had print_r disabled.

		$tx = JRequest::getVar('tx',0);		
				
		if(!$tx) {
		// IPN
			$tx = JRequest::getVar('txn_id', 0 );
			
			if(!$tx){
				JLog::add("Variable 'txn_id' or 'tx' was not in request. Ending task.",JLog::DEBUG,'pdjx');
				return;
			}
			
			JLog::add("--------IPN VALIDATION--------",JLog::DEBUG,'pdjx');
			
			JLog::add('tx:'.$tx,JLog::DEBUG,'pdjx');
			$id = JRequest::getVar('item_number', 0 );
			JLog::add('item_number:'.$id,JLog::DEBUG,'pdjx');
	
			if(!class_exists('PdjxHelper')) require_once(JPATH_COMPONENT.'/helpers/pdjx.php'); //import helper
			$mdl = $this->getModel('File', 'PaiddownloadsjxModel');
			$item = $mdl->getData($id);
		
			
			if(PdjxHelper::validate($item, $transaction_data, $msg)){

			//SUCCESS, save transaction, allow download
			//print_r($transaction_data);

			$app->enqueueMessage(JText::_("COM_PDJX_MSG_SUCCESS"));
			JLog::add('Payment is valid',JLog::DEBUG,'pdjx');
			
			//save user id
			//$user=JFactory::getUser();
			//$transaction_data['userid']=$user->id;
			//$mdl_tx=$this->getModel('Transaction', 'PaiddownloadsjxModel');
			//$mdl_tx->store($transaction_data);
			//Google Analytics
//			if($cnf->get('ga')){
//				$this->GoogleAnalytics($mdl->_item, $transaction_data);
//			}
			//show download button
			$mdl->_item->text=PdjxHelper::parseText($cnf->get('confirm_text'), $item, $transaction_data);
			$mdl->_item->tx=$transaction_data['txn_id'];
			$view = $this->getView('File', 'html');
			$view->setModel($mdl, true);
			$view->setLayout('download');
			$view->display();

			}
			else {
			//FAIL, CHEAT, ERROR, display error message
			JLog::add('Error:'.$msg,JLog::DEBUG,'pdjx');
			$this->setRedirect("index.php?option=com_paiddownloadsjx&task=error", $msg, 'error');
			}	
		}
		
		else {
		//PDT
			if(!$tx){
				JLog::add("Variable 'tx' was not in request. Ending task.",JLog::DEBUG,'pdjx');
				return;
			}
			
			JLog::add("--------PDT VALIDATION--------",JLog::DEBUG,'pdjx');
			
			JLog::add('tx:'.$tx,JLog::DEBUG,'pdjx');
			$id = JRequest::getVar('item_number', 0 );
			JLog::add('item_number:'.$id,JLog::DEBUG,'pdjx');
	
			if(!class_exists('PdjxHelper')) require_once(JPATH_COMPONENT.'/helpers/pdjx.php'); //import helper
			$mdl = $this->getModel('File', 'PaiddownloadsjxModel');
			$item = $mdl->getData($id);
			
			if(PdjxHelper::validate_PDT($item, $transaction_data, $msg)){
				//SUCCESS, save transaction, allow download
				//print_r($transaction_data);
				$app->enqueueMessage(JText::_("COM_PDJX_MSG_SUCCESS"));
				JLog::add('Payment is valid',JLog::DEBUG,'pdjx');
				
				//save user id
				$user=JFactory::getUser();
				$transaction_data['userid']=$user->id;
				$mdl_tx=$this->getModel('Transaction', 'PaiddownloadsjxModel');
				$mdl_tx->store($transaction_data);
				
				//Google Analytics
//				if($cnf->get('ga')){
//					$this->GoogleAnalytics($mdl->_item, $transaction_data);
//				}
				//show download button
				$mdl->_item->text=PdjxHelper::parseText($cnf->get('confirm_text'), $item, $transaction_data);
				$mdl->_item->tx=$transaction_data['txn_id'];
				$view = $this->getView('File', 'html');
				$view->setModel($mdl, true);
				$view->setLayout('download');
				$view->display();
			}else{
				//FAIL, CHEAT, ERROR, display error message
				JLog::add('Error:'.$msg,JLog::DEBUG,'pdjx');
				$this->setRedirect("index.php?option=com_paiddownloadsjx&task=error", $msg, 'error');
			}
		
		
		
		}

	}
	
	public function error(){
		$cnf = JComponentHelper::getParams('com_paiddownloadsjx');
		echo $cnf->get('error_text');
	}
	
	public function download(){
		$user = JFactory::getUser();
		$input = JFactory::getApplication()->input;
		$id = $input->getInt('id', 0 );
		$txn = $input->getString('txn', 0 );
		$cnf = JComponentHelper::getParams('com_paiddownloadsjx');
		
		$item_mdl = $this->getModel('File', 'PaiddownloadsjxModel');
		$item_data = $item_mdl->getData($id);
		
		if(!$item_data->donation){
		$txn_mdl = $this->getModel('Transaction', 'PaiddownloadsjxModel');
		
		if($txn){
			//non registered user
			$txn_data = $txn_mdl->getDataFromTxnID($txn);
			
			//is this transaction in database?
			if (!$txn_data->id) {
				$msg = JText::_("COM_PDJX_MSG_TXN_NOT_FOUND");
				$this->setRedirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
				return false;	
			}
				//check if this guy is downoading too much from the thankyou page
			if ($txn_data->dwnl >= 1){ //$item_data->maxdown) {
				$msg = JText::_("COM_PDJX_MSG_MAX_DWNL");
				$this->setRedirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
				return false;	
			}
		}elseif(!$user->id){
			$msg = JText::_("COM_PDJX_MSG_LOG_IN");
			$this->setRedirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
			return false;
		}else{
			//logged in user
				 //in this case id from database is used
				if(!($txn_data=$txn_mdl->getDataFromUserAndProduct($user, $id))){
				$msg = JText::_("COM_PDJX_MSG_NOT_PURCHASED");
				$this->setRedirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
				return false;
			}
		}
		$txn_mdl->incrDwnlCount();
		}
		$item_mdl->incrDwnlCount();
		
		
		//import helper
		if(!class_exists('PdjxHelper')) require_once(JPATH_COMPONENT.'/helpers/pdjx.php'); 
		//get filename
		$file = JPATH_ROOT.DIRECTORY_SEPARATOR.$cnf->get('save_folder').DIRECTORY_SEPARATOR.$item_data->filename;
		
        if(!file_exists($file)) {
			$msg = JText::_("COM_PDJX_MSG_NO_FILE");
			$this->setRedirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
			return;
		}
		$path_parts = pathinfo($file);
		$file_extension = $path_parts['extension'];
		
        header('Content-Description: File Transfer');
        header('Content-Type: '.PdjxHelper::setCType($file_extension).'');
        header('Content-Disposition: attachment; filename='.basename($file));
        header('Content-Transfer-Encoding: binary');
        header('Expires: 0');
        header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
    	header('Pragma: public');
        header('Content-Length: ' . filesize($file));

        ob_clean();
        flush();
        ob_end_flush();

        error_reporting(0);
        if (!@PdjxHelper::readfile_chunked($file)) {
			$ch = curl_init();
			curl_setopt($ch,CURLOPT_URL,$file);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			$res = curl_exec($ch);
			if($res === false)
			{
			    echo 'Curl-Error: ' . curl_error($ch);
			}
			curl_close($ch);
			echo $res;
		}
        exit;
	}
	
	private function GoogleAnalytics($item, $tx){
		$cnf = JComponentHelper::getParams('com_paiddownloadsjx');
		$document = JFactory::getDocument();
				$document->addScriptDeclaration("
				    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
						(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
						m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
						})(window,document,'script','//www.google-analytics.com/analytics.js','ga');
				");
				$document->addScriptDeclaration("ga('create', '".$cnf->get('ga')."', {'name': 'ecom'}) ;");
				$document->addScriptDeclaration("ga('ecom.require', 'ecommerce', 'ecommerce.js'); ");
				$document->addScriptDeclaration("
					ga('ecom.ecommerce:addTransaction', {
					  'id': '".$tx['txn_id']."',
					  'revenue': '".@$tx['mc_gross']."',
					  'shipping': '".$tx['mc_fee']."',
					  'tax': '".$tx['tax']."'
					});
				");
				$document->addScriptDeclaration("
					ga('ecom.ecommerce:addItem', {
					  'id': '".$item->productid."',     // Transaction ID. Required.
					  'name': '".$item->itemname."',    // Product name. Required.
					  'price': '".$item->amount."',     // Unit price.
					  'quantity': '1',                 // Quantity.
					  'currencyCode': '".$item->currency."' // local currency code.
					});
				");
				$document->addScriptDeclaration("ga('ecom.ecommerce:send');");
	}
}