<?php
#-------------------------------------------------------------------------------
# Copyright (c) 2009 Gomilsek-informatika.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the GNU Public License v2.0
# which accompanies this distribution, and is available at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# 
# Contributors:
# 	Gomilsek-informatika  (initial API and implementation)
# Contact:
# 	customers@toolsjx.com
#-------------------------------------------------------------------------------
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

/**
 * Editor Insert Grid buton
 *
 * @author Toma� �u�tar <t.sustar@gmail.com>
 * @package Editors-xtd
 */
class plgButtoninsertgrid extends JPlugin
{
	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @param object $subject The object to observe
	 * @param 	array  $config  An array that holds the plugin configuration
	 * @since 1.5
	 */
	function plgButtonInsertgrid(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}

	/**
	 * Display the button
	 *
	 * @return array A two element array of ( imageName, textToInsert )
	 */
	function onDisplay($name)
	{
		global $mainframe;

		$doc = & JFactory::getDocument();
		/* @var $doc JDocumentHTML */
		
		//Process plugin parameters
		//$param 	= $this->params->get( 'test_param', 'insertgrid' );
		
				
		/*$declaration	= 
		"function jSelectArticle(id, title, object) {
			var content 		= tinyMCE.getContent();
			
			var articlehref = 'index.php?option=com_content&view=article&id='+id;
			var articlelink = ' <a href=\"'+articlehref+'\"".$extra.">'+title+'</a> ';

			jInsertEditorText( articlelink, 'text' );
			document.getElementById('sbox-window').close();
		}
	";
		
		
		$doc->addScriptDeclaration($declaration);
		
		$declaration	=
		" .button2-left .linkarticle 	{ background: url(../plugins/editors-xtd/linkarticle/assets/j_button2_linkarticle.png) 100% 0 no-repeat; } ";
		
		$doc->addStyleDeclaration($declaration);
		*/
		
		/*$app = & JFactory::getApplication();
		$template = $app->getTemplate();*/

		$link = 'index.php?option=com_grid&task=insert&tmpl=component';

		JHTML::_('behavior.modal');

		$button = new JObject();
		$button->set('modal', true);
		$button->set('link', $link);
		$button->set('text', JText::_('Insert Grid'));
		$button->set('name', 'blank');
		$button->set('options', "{handler: 'iframe', size: {x: 700, y: 400}}");

		return $button;
	}
}
