<?php 
#-------------------------------------------------------------------------------
# Copyright (c) 2018 Tools JX.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the GNU Public License v3.0
# which accompanies this distribution, and is available at
# https://www.gnu.org/licenses/gpl-3.0.en.html
#
# Contributors:
# 	Zavod Skatla/Web-help.me  (initial API and implementation)
# Contact:
# 	toolsjx@web-help.me
#-------------------------------------------------------------------------------

defined('_JEXEC') or die('Restricted access'); ?>
<?php
$document = JFactory::getDocument();
$document->addScript( 'components/com_grid/js/editform.js' );
$document->addScript( 'components/com_grid/js/graph.js' );
$document->addScript( 'components/com_grid/js/config.js' );
$document->addScript( 'components/com_grid/js/jscolor/jscolor.js' );
$document->addStyleSheet('components/com_grid/css/editform.css');

JHTML::_('behavior.tooltip');
//JHtml::_('jquery.framework', false);

if(isset($this->grid->graphConfig)){
		$graphConfig= json_decode($this->grid->graphConfig);
	}
?>

<style type="text/css">
.hide {
	display: none
}

.showRow {
	display: table-row;
}

.showBlock {
	display: block;
}
</style>
<form
	action="index.php" method="post" name="adminForm" id="adminForm">
<table cellpadding="0" cellspacing="0" width="100%">
	<tr valign="top">
		<td>
		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Title' ); ?></legend>
		<table class="admintable">
			<tr>
				<td width="100" align="right" class="key"><label for="tableCaption">
				<?php echo JText::_( 'Table Title' ); ?>: </label></td>
				<td><input class="text_area" type="text" name="tableCaption"
					id="tableCaption" size="32" maxlength="250"
					value="<?php echo @$this->grid->tableCaption;?>" /></td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="showTitle"> <?php echo JText::_( 'Show Title' ); ?>:
				</label></td>
				<td><input type="radio" name="showTitle" value="1"
				<?php if ($this->grid->showTitle == "1") echo 'checked'?> /> Yes <input
					type="radio" name="showTitle" value="0"
					<?php if ($this->grid->showTitle == "0") echo 'checked'?> /> No</td>
			</tr>
		</table>
		</fieldset>
		</div>
		</td>
		<td>
		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Layout' ); ?></legend>
		<table class="admintable">
			<tr>
				<td width="100" align="right" class="key"><label for="view"> <?php echo JText::_( 'Choose Frontend Layout' ); ?>:
				</label></td>
				<td><?php include 'checkFile.php'; ?></td>

			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
		</table>
		</fieldset>
		</div>
		</td>
	</tr>




	<tr>
		<td style="vertical-align: top;"><?php //preveri katera konekcija je nastavljena
					$isOther = false; if(isset($this->grid->connection) && $this->grid->connection == 'other') $isOther=true;?>


		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Connection' ); ?></legend>
		<table class="admintable">
			<tr>
				<td width="100" align="right" class="key"><label for="connection"> <?php echo JText::_( 'Select Connection' ); ?>:
				</label></td>
				<td><input type="radio" name="connection" id="joomla" value="joomla"
				<?php if (!$isOther) echo 'checked'?> onclick="enableConn()" /> Same
				as Joomla's <input type="radio" name="connection" value="other"
				<?php if ($isOther) echo 'checked'?> onclick="enableConn()" /> Other
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="dbType"> <?php echo JText::_( 'Database Type' ); ?>:
				</label></td>
				<td>
					<select name="dbType" id="dbType" <?php if(!$isOther)echo 'disabled="disabled"';?>>
						<?php foreach($this->connectionTypes as $type): ?>
							<option 
								value="<?php echo $type->name;?>"  
								<?php if (isset($this->conn->dbType) && $this->conn->dbType == $type->name) echo 'selected="selected"'; ?>
								<?php if (!$type->supported) echo " disabled "; ?>
							>
							<?php echo $type->name; ?>
							</option>
						<?php endforeach ?>
					</select>
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="dbHost"> <?php echo JText::_( 'Database Host' ); ?>:
				</label></td>
				<td><input class="text_area" type="text" name="dbHost" id="dbHost"
					size="32" maxlength="250" value="<?php echo $this->conn->dbHost;?>"
					<?php if(!$isOther)echo 'disabled="disabled"';?> /></td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="dbUser"> <?php echo JText::_( 'Database User' ); ?>:
				</label></td>
				<td><input class="text_area" type="text" name="dbUser" id="dbUser"
					size="32" maxlength="250" value="<?php echo @$this->conn->dbUser;?>"
					<?php if(!$isOther)echo 'disabled="disabled"';?> /></td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="dbPass"> <?php echo JText::_( 'Password' ); ?>:
				</label></td>
				<td><input class="text_area" type="password" name="dbPass"
					id="dbPass" size="32" maxlength="250"
					value="<?php echo @$this->conn->dbPass;?>"
					<?php if(!$isOther)echo 'disabled="disabled"';?> /></td>
			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="dbName"> <?php echo JText::_( 'Database Name' ); ?>:
				</label></td>
				<td><input class="text_area" type="text" name="dbName" id="dbName"
					size="32" maxlength="250" value="<?php echo @$this->conn->dbName;?>"
					<?php if(!$isOther)echo 'disabled="disabled"';?> /></td>
			</tr>
			<tr>
				<td></td>
				<td><input class="button" type="button" name="dbcheck" id="dbcheck"
					size="32" maxlength="250"
					onclick="javascript: Joomla.submitbutton('dbcheck')"
					value="<?php echo JText::_('Check and List Tables') ?>" /></td>
			</tr>
		</table>
		</fieldset>
		</div>

		</td>
		<td style="vertical-align: top;">

		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Graph Settings' ); ?></legend>
		<table class="admintable">
			<tr>
				<td width="100" align="right" class="key"><label for="tableName"> <?php echo JText::_( 'Table Name in Database' ); ?>:
				</label></td>
				<?php if($this->tbList == null){ ?>
				<td><input class="text_area" type="text" name="tableName"
					id="tableName" size="32" maxlength="250"
					value="<?php echo $this->grid->tableName;?>" /></td>
					<?php } else{ ?>
				<td><select name="tableName" id="selectTable"
					onchange="javascript: Joomla.submitbutton('dbcheck')">
					<option value="null" id="opt">--Select Table--</option>
					<?php foreach($this->tbList as $table){
						echo '<option value="'.$table.'" ';
						if (isset($this->grid->tableName) && $this->grid->tableName == $table) echo 'selected="selected"';
						echo ' >'.$table.'</option>';


					}?>


				</select></td>
				<?php } ?>
				<td><!-- <input class="button" type="button" name="dbcheck" id="dbcheck2" size="32" maxlength="250" onclick="javascript: submitbutton('dbcheck')"
                	value="<?php echo JText::_('List Columns')?>" >  --></td>

			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="sortField"> <?php echo JText::_( 'Default Sort Column' ); ?>:
				</label></td>

				<td><select name="sortField" id="sortField">
				<?php if($this->colList==null){
					echo '<option>#############</option>';
				}
				else{
					foreach($this->colList as $col){
						echo '<option value="'.$col.'" ';
						if ($this->grid->sortField == $col) echo 'selected="selected"';
						echo ' >'.$col.'</option>';


					}}?>


				</select></td>

				<td><?php // if($this->colList==null)echo 'Select table and press button \'List Columns\'.'; ?>
				</td>

			</tr>
			<tr>
				<td width="100" align="right" class="key"><label for="sortDirection">
				<?php echo JText::_( 'Default Sort Direction' ); ?>: </label></td>
				<td><input type="radio" name="sortDirection" id="sd1" value="ASC"
				<?php if ($this->grid->sortDirection == 'ASC') echo 'checked'?> />
				Ascending <input type="radio" name="sortDirection" id="sd2"
					value="DESC"
					<?php if ($this->grid->sortDirection == 'DESC') echo 'checked'?> />
				Descending</td>
				<td></td>

			</tr>

		</table>
		</fieldset>
		</div>

		</td>
	</tr>


	<?php /*****************************COLUMNS*****************************************/ ?>

	<tr>
		<td style="vertical-align: top;">
		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Columns' ); ?></legend>
		<?php if($this->colList==null){
			echo 'Select table!';
		}
		else{


			?>
		<table class="admintable columnsTable" id="haupttabelle" width="100%">
			<tr>
				<td class="key" style="text-align: left;">Unused columns:</td>
				<td></td>

				<td class="key" style="text-align: left; width: auto;">Shown
				columns:</td>
				<td></td>
			</tr>
			<tr>
				<td valign="top"><input type="button" id="selectAllButton"
					value="mark all" onclick="selectAll(true, 'selectColList')"> <!-- <input type="button" id="unselectAllButton" value="unmark all" onclick="selectAll(false)"> -->
				<br>
				<br>
				<select id="selectColList" size="15" multiple="multiple"
					style="width: 100%;">
					<?php
					$i=0;
					foreach($this->colList as $col){

						?>
						<?php if(!(isset($this->grid->colMap[$col]))){?>
					<option value="<?php echo $col; ?>" id="<?php echo 'opt'.$i;?>"><?php echo $col; ?>
					</option>
					<?php $i++;}
					} ?>
				</select></td>
				<td><input type="button" onclick="addCol('graph')" value=">>"><br>
				<input type="button" value="<?php echo '<<';?>"
					onclick="removeCol()"></td>

				<td valign="top"><?php
				include JPATH_COMPONENT_ADMINISTRATOR."/views/grid/tmpl/config.class.php";
				$configArray = new ConfigArray(JURI::base());
				$configArray->addConfig(Config::$select, "graphType", "graphType", "Line|Bar", "Select type of graph");
				$configArray->addConfig(Config::$radioYesNo, "showPoints", "showPoints", "", "Show points on graph");
				$configArray->addConfig(Config::$color, "dataColor", "dataColor", "", "Choose color of graph");
				$configArray->addConfig(Config::$radioYesNo, "steps", "steps", "", "Draw as steps");
				$configArray->includeForm();
				?>
				<table class="adminlist" id="colTable">
					<tr>
						<th width="20"><input type="checkbox" id="checkAllCbx"
							name="toggle" onclick="checkAllCB(this,'selectColCbx[]');" /></th>
						<th width="100" style="text-align: left;"><?php echo JText::_( 'Column Names' ); ?>

						</th>
						<th width="100" style="text-align: left;"><?php echo JText::_( 'Column Captions' ); ?>

						</th>
						<th width="100" style="text-align: left;"><?php echo JText::_( 'Use for x-axis' ); ?>
						<br />
						<!-- (<input type="radio" name="useForX" value="none"
							style="margin: 0px;"
				<?php if(!isset($graphConfig->useForX) || $graphConfig->useForX=="" || $graphConfig->useForX=="none") echo "checked=\"checked\"";?> />
						none)  --></th>
						<th></th>


					</tr>

					<?php
					$i=0;
					if(is_array($this->grid->colMap)){
						foreach($this->grid->colMap as $col => $caption){
							if(trim($col) != '' && in_array($col, $this->colList)){ ?>
					<tr id="<?php echo 'row_'.$col; ?>">
						<td><input type="checkbox" id="<?php echo 'cbx'.$i;?>"
							name="selectColCbx[]" value="<?php echo $col; ?>" /> <input
							type="hidden" name="selectCol[]" value="<?php echo $col; ?>" /></td>
						<td><?php echo $col; ?></td>
						<td><input class="text_area" type="text"
							name="colMap[<?php echo $col; ?>]" size="32" maxlength="250"
							value="<?php echo $caption;?>" /></td>
						<td><input class="useForX" type="checkbox" name="useForX"
							value="<?php echo $col;?>"
							<?php if($graphConfig->useForX==$col) echo "checked=\"checked\"";?> /></td>
						<td><?php echo $configArray->printLink($col, $this->grid->moreConfig[$col]); ?>
						</td>
					</tr>
					<?php $i++;}}} ?>
				</table>
				</td>
				<td valign="top"></td>
			</tr>

		</table>
		<?php } ?></fieldset>
		</div>
		</td>
		<?php //--------------------------------------   PREVIEW   --------------------------------------------------?>
		<td style="vertical-align: Top;">
		<div class="col100">
		<fieldset class="adminform"><legend><?php echo JText::_( 'Preview' ); ?></legend>
		<?php echo $this->get("DataForGraph");?></fieldset>

		</div>
		</td>
	</tr>
	<tr>
	<?php //--------------------------------------   MORE SETTINGS   --------------------------------------------------?>
		<td colspan="2">
		<div class="col100">
		<table width="100%">
			<tr valign="top">
				<td width="33%">
				<fieldset class="adminform"><legend><?php echo JText::_( 'More settings' ); ?></legend>
				<table class="admintable">
					<tr>
						<td align="right" class="key" ><label class="hasTip"
							title="Set graph width. This setting will have no effect on preview."><?php echo JText::_( 'Graph width' ); ?>:
						</label>
						</td>


						<td><input type="text" size="2px" maxlength="4" name="size_x"
							value="<?php echo ((isset($graphConfig->size->x) && $graphConfig->size->x!="")?$graphConfig->size->x:500); ?>"/> px</td>

					</tr>
					<tr>
						<td align="right" class="key"><label class="hasTip"
							title="Set graph height. This setting will have no effect on preview."><?php echo JText::_( 'Graph height' ); ?>:
						</label>
						</td>

						<td><input type="text" size="2px" maxlength="4" name="size_y"
							value="<?php echo ((isset($graphConfig->size->y) && $graphConfig->size->y!="")?$graphConfig->size->y:350); ?>"/> px</td>

					</tr>
					<tr>
						<td width="100" align="right" class="key"><label class="hasTip"
							title="Select dynamic mode to alive your data in graph."><?php echo JText::_( 'Select method of showing graph' ); ?>:</label></td>
						<td><input type="radio" name="method" value="1"
						<?php if (isset($graphConfig->method) && $graphConfig->method=="1") echo "checked=\"checked\""; ?>
							onclick="hideMore();" /> Fixed <input type="radio" name="method"
							value="0"
							<?php if (!isset($graphConfig->method) || $graphConfig->method=="" || $graphConfig->method=="0") echo "checked=\"checked\""; ?>
							onclick="showMore();" /> Dynamic</td>

					</tr>
					<tr id="sizeData"
					<?php if (isset($graphConfig->method) && $graphConfig->method=="1") echo "style=\"display:none\"";?>>
						<td width="100" align="right" class="key"
						<?php
						//if((!isset($graphConfig->method) || $graphConfig->method=="0") && (!isset($graphConfig->sizeData) || $graphConfig->sizeData=="")) echo "style=\"background-color:#FF4F4F;\"";
						?>><label class="hasTip" title="Number of data in dynamic method."><?php echo JText::_( 'Size of shown data' ); ?>:</label></td>
						<td><input type="text" name="sizeData"
							value="<?php if(isset($graphConfig->sizeData)) echo $graphConfig->sizeData; else echo 5; ?>" size="8"
							maxlength="10" /> (MAX: <?php echo $this->rows; ?>)
							<input type="hidden" name="sizeDataMax" value="<?php echo $this->rows;?>"/>
							</td>
					</tr>
					<tr id="refresh"
					<?php if (isset($graphConfig->method) && $graphConfig->method=="1") echo "style=\"display:none\"";?>>
						<td width="100" align="right" class="key"
						<?php
						//if((!isset($graphConfig->method) || $graphConfig->method=="0") && (!isset($graphConfig->refresh) || $graphConfig->refresh=="")) echo "style=\"background-color:#FF4F4F;\"";
						?>><label class="hasTip"
							title="Set refresh rate of dynamic drawing of graph in seconds."><?php echo JText::_( 'Refresh rate' ); ?>:</label></td>
						<td><input type="text" name="refresh"
							value="<?php if(isset($graphConfig->refresh)) echo $graphConfig->refresh; else echo 1; ?>" size="8"
							maxlength="10" /> sec</td>
					</tr>

					<tr>
						<td align="right" class="key"><label class="hasTip"
							title="Show 'Powered by' link below graph."><?php echo JText::_( 'Show \'Powered by\'' ); ?>:
						</label></td>
						<td>
						<input type="radio" name="poweredBy" value="1" <?php if($this->grid->poweredBy=="1") echo "checked";?>/> Yes
						<input type="radio" name="poweredBy" value="0" <?php if($this->grid->poweredBy!="1") echo "checked";?>/> No
						</td>
					</tr>

					<tr>
						<td align="right" class="key"><label class="hasTip"
							><?php echo JText::_( 'Additional Condition' ); ?>:
						</label></td>
						<td>
						WHERE <br />
						<input type="text" onchange="moveWhereCond()" name="whereCond2" id="whereCond2" maxlength="255" value="<?php echo @$this->grid->whereCond; ?>" size="50" />
						</td>
					</tr>
				</table>
				</fieldset>
				</td>
				<td>
				<fieldset class="adminform"><legend><?php echo JText::_( 'Grid' ); ?></legend>
				<table class="admintable">
					<tr>
						<td class="key"><label class="hasTip"
							title="Disable this to show only lines of graph."><?php echo JText::_('Show grid, border, ticks');?>:</label></td>
						<td><input type="checkbox" name="showGrid" value="1"
						<?php echo (!isset($graphConfig->showGrid) || $graphConfig->showGrid=="1" || $graphConfig->showGrid=="" ?"checked":""); ?> /></td>
					</tr>
					<tr>
						<td class="key"><label class="hasTip"
							title="Background color of the graph canvas."><?php echo JText::_('Background color');?>:</label></td>
						<td><input class="color" name="gridBgC" maxlength="6" size="4"
							value="
						<?php echo (!isset($graphConfig->gridBgC) || $graphConfig->gridBgC==""?"FFFFFF":$graphConfig->gridBgC);?>" /></td>
					</tr>
					<tr>
						<td class="key"><label class="hasTip"><?php echo JText::_('Text color');?>:</label></td>
						<td><input class="color" name="gridTextC" maxlength="6" size="4"
							value="
						<?php echo (!isset($graphConfig->gridTextC) || $graphConfig->gridTextC==""?"4A4A4A":$graphConfig->gridTextC);?>" /></td>
					</tr>
					<tr>
						<td class="key"><label class="hasTip" title="Space between ticks and grid."><?php echo JText::_('Margin');?>:</label></td>
						<td><input name="gridTicMar" maxlength="3" size="5"
							value="<?php echo (!isset($graphConfig->gridTicMar) || $graphConfig->gridTicMar==""?"10":$graphConfig->gridTicMar);?>" /></td>
					</tr>
					<tr>
						<td class="key"><label class="hasTip" title="Height for ticks."><?php echo JText::_('Height');?>:</label></td>
						<td><input name="gridTicHei" maxlength="3" size="5"
							value="<?php echo (!isset($graphConfig->gridTicHei) || $graphConfig->gridTicHei==""?"10":$graphConfig->gridTicHei);?>" /></td>
					</tr>
					<tr>
						<td class="key"><label class="hasTip" title="Angle for rotation x ticks."><?php echo JText::_('Angle');?>:</label></td>
						<td><input name="gridTicAng" maxlength="3" size="5"
							value="<?php echo (!isset($graphConfig->gridTicAng) || $graphConfig->gridTicAng==""?"0":$graphConfig->gridTicAng);?>" /></td>
					</tr>
				</table>
				</fieldset>
				</td>
				<td>
				<fieldset class="adminform"><legend><?php echo JText::_( 'Legend' ); ?></legend>
				<table class="admintable">
					<tr>
						<td class="key"><label><?php echo JText::_('Show legend');?>:</label></td>
						<td><input type="checkbox" name="showLeg" value="1"
						<?php echo (isset($graphConfig->showLeg) && $graphConfig->showLeg=="1"?"checked":""); ?> /></td>
					</tr>
					<tr>
						<td class="key"><label class="hasTip"
							title="Background color of legend box."><?php echo JText::_('Background color');?>:</label></td>
						<td><input class="color" name="legBgC" maxlength="6" size="4"
							value="
						<?php echo (!isset($graphConfig->legBgC) || $graphConfig->legBgC==""?"FFFFFF":$graphConfig->legBgC);?>" /></td>
					</tr>
					<tr>
						<td class="key"><label class="hasTip"
							title="Set opacity of background color."><?php echo JText::_('Background opacity');?>:</label></td>
						<td><input type="text" name="legBgO" maxlength="3" size="2"
							value="<?php echo (!isset($graphConfig->legBgO) || $graphConfig->legBgO==""?"100":$graphConfig->legBgO*100);?>" />
						(0 - 100)</td>
					</tr>
					<tr>
						<td class="key"><label class="hasTip"
							title="Number of columns to print legend box."><?php echo JText::_('Number of columns');?>:</label></td>
						<td><input type="text" name="legNoCol" maxlength="3" size="2"
							value="<?php echo (!isset($graphConfig->legNoCol) || $graphConfig->legNoCol==""?"1":$graphConfig->legNoCol);?>" /></td>
					</tr>
					<tr>
						<td class="key"><label class="hasTip"
							title="Select position of legend box in graph."><?php echo JText::_('Position');?>:</label></td>
						<td><select name="legPos">
							<option value="ne"
							<?php if(!isset($graphConfig->legPos) || $graphConfig->legPos=="" || $graphConfig->legPos=="ne") echo "selected=\"selected\"";?>>Northeast</option>
							<option value="nw"
							<?php if(isset($graphConfig->legPos) && $graphConfig->legPos=="nw") echo "selected=\"selected\"";?>>Northwest</option>
							<option value="se"
							<?php if(isset($graphConfig->legPos) && $graphConfig->legPos=="se") echo "selected=\"selected\"";?>>Southeast</option>
							<option value="sw"
							<?php if(isset($graphConfig->legPos) && $graphConfig->legPos=="sw") echo "selected=\"selected\"";?>>Southwest</option>
						</select></td>
					</tr>
				</table>
				</fieldset>
				</td>
			</tr>
		</table>
		</div>
		</td>
	</tr>
</table>


<div class="clr"></div>

<input type="hidden" name="option" value="com_grid" /> <input
	type="hidden" name="idGrid" value="<?php echo @$this->grid->idGrid; ?>" />
<!--<input type="hidden" name="typejx" value="grid" />--> <input
	type="hidden" name="idConn" value="<?php echo @$this->conn->idConn; ?>" />
<input type="hidden" name="task" value="" /> <input type="hidden"
	id="whereCond" name="whereCond"
	value="<?php echo str_replace(array('<', '>'), array('{','}'), @$this->grid->whereCond);?>" />
<!--  <input type="hidden" name="controller" value="hello" /> --></form>
<script type="text/javascript">
    <!--
    appendEvents();
    //-->
    $(document).ready(function() {
        console.log("asd");
    });
</script>
