<?php
/**
 * @version     2.5.1
 * @package     com_grid
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );


class GridsModelGrids extends JModelLegacy
{
	/**
	 * Hellos data array
	 *
	 * @var array
	 */
	var $_data;

	function __construct()
	{
		$session =  JFactory::getSession();
		if($session->has('grid')){
			$session->clear('grid');
		}
		if($session->has('conn')){
			$session->clear('conn');
		}
		parent::__construct();
	}

	/**
	 * Returns the query
	 * @return string The query to be used to retrieve the rows from the database
	 */
	function _buildQuery()
	{
		$query = ' SELECT * '
		. ' FROM #__grids '
		;
		return $query;
	}

	/**
	 * Retrieves the hello data
	 * @return array Array of objects containing the data from the database
	 */
	function getData()
	{
		// Lets load the data if it doesn't already exist
		if (empty( $this->_data ))
		{
			$query = $this->_buildQuery();
			$this->_data = $this->_getList( $query );
		}

		return $this->_data;
	}

	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
			
		foreach($cids as $cid) {
			$query = "delete from #__grid_columns where idGrid='$cid'";
			$this->_db->setQuery($query);
			$this->_db->query();
			if($this->_db->getErrorNum()>0) 	
				return false;			
		}
			
		return true;
	}

}
