<?php
/**
 * @version     2.5.1
 * @package     com_pdjx
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */

// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
JHtml::_('behavior.multiselect');
JHtml::_('jquery.framework');
JHtml::_('formbehavior.chosen', 'select');
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_paiddownloadsjx/assets/css/pdjx.css');
?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'file.cancel' || document.formvalidator.isValid(document.id('file-form'))) {
			Joomla.submitform(task, document.getElementById('file-form'));
		}
		else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}

	function checkDonation(){
		select=document.getElementById('jform_donation');
		if(select.selectedIndex==0){
				//purchase
				document.getElementById('li_don_type').style.cssText = "display:none";
				document.getElementById('li_tax').style.cssText = "display:block";
				document.getElementById('li_amount').style.cssText = "display:block";
				//document.getElementById('li_currency').style.cssText = "display:block";
			
		}else{
			//donation
			document.getElementById('li_don_type').style.cssText = "display:block";
			document.getElementById('li_tax').style.cssText = "display:none";
			if(document.getElementById('jform_don_type0').checked){
				//Not fixed amount
				document.getElementById('li_amount').style.cssText = "display:none";
				//document.getElementById('li_currency').style.cssText = "display:none";
			}else{
				//Fixed amount
				document.getElementById('li_amount').style.cssText = "display:block";
				//document.getElementById('li_currency').style.cssText = "display:block";
			}
		}
	}

	function checkType() {
        var select=document.getElementById('jform_type');
        var value = select.options[select.selectedIndex].value;

        var elementControl = document.getElementById('jform_element').parentElement.parentElement;
        if (value == 'other') {
            elementControl.style.cssText = "display:none";
        } else {
            elementControl.style.cssText = "display:block";
        }

        var elementControl = document.getElementById('jform_package_files').parentElement.parentElement;
        if (value != 'package') {
            elementControl.style.cssText = "display:none";
            jQuery("#jform_package_files option").each(function() {
                jQuery(this).removeAttr('selected');
            });
            jQuery("#jform_package_files_chzn ul li.search-choice").remove();
        } else {
            elementControl.style.cssText = "display:block";
        }
    }
</script>

<form action="<?php echo JRoute::_('index.php?option=com_paiddownloadsjx&layout=edit&id='.(int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="file-form" class="form-validate">
    <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'product_description')); ?>

    <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'product_description', JText::_('COM_PDJX_LEGEND_DESC')); ?>

    <div class="span9">

		<fieldset class="form-horizontal" >
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('id'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('id'); ?>
                </div>
            </div>
            <?php echo $this->form->getLabel('created_by'); ?>
            <?php echo $this->form->getInput('created_by'); ?>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('itemname'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('itemname'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('productid'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('productid'); ?>
                </div>
            </div>
            <div class="control-group" style="display: <?= $this->item->type == 'other' ? 'none' : 'block' ?>">
                <div class="control-label">
                    <?php echo $this->form->getLabel('element'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('element'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('maintainer'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('maintainer'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('maintainerurl'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('maintainerurl'); ?>
                </div>
            </div>
            <div class="control-group"  style="display: <?= $this->item->type != 'package' ? 'none' : 'block' ?>">
                <div class="control-label">
                    <?php echo $this->form->getLabel('package_files'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('package_files'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('description'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('description'); ?>
                </div>
            </div>

<!--            --><?php //echo $this->form->getLabel('meta'); ?>
<!--            --><?php //echo $this->form->getInput('meta'); ?>
		</fieldset>

    </div>

    <div class="span3">
        <fieldset class="form-vertical">
            <div class="control-group">
                <div class="control-label">
                    <label id="jform_state-lbl" for="jform_state" class="hasPopover" title="" data-content="Defines the status of the location." data-original-title="Status">Status</label>
                </div>
                <div class="controls">
                    <select id="jform_state" name="jform[state]" class="chzn-color-state" size="1">
                        <option value="1" <?= isset($this->old) && $this->old->get('jform.state') == 1 ? 'selected' : '' ?>>Published</option>
                        <option value="0" <?= isset($this->old) && $this->old->get('jform.state') == 0 ? 'selected' : '' ?>>Unpublished</option>
                        <option value="2" <?= isset($this->old) && $this->old->get('jform.state') == 2 ? 'selected' : '' ?>>Archived</option>
                        <option value="-2" <?= isset($this->old) && $this->old->get('jform.state') == -2 ? 'selected' : '' ?>>Trashed</option>
                    </select>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('type'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('type'); ?>
                </div>
            </div>
        </fieldset>
    </div>

    <?php echo JHtml::_('bootstrap.endTab'); ?>

    <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'version', JText::_('COM_PDJX_LEGEND_VERSION')); ?>

    <div class="span12">

        <fieldset class="form-horizontal">
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('version'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('version'); ?>
                </div>
            </div>
        </fieldset>

    </div>

    <?php echo JHtml::_('bootstrap.endTab'); ?>

    <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'pricing_shipping', JText::_('COM_PDJX_LEGEND_PRICE')); ?>

    <div class="span12">

		<fieldset class="form-horizontal">
            <div class="control-group">
                <div class="control-label">
				    <?php echo $this->form->getLabel('donation'); ?>
                </div>
                <div class="controls">
			    	<?php echo $this->form->getInput('donation'); ?>
                </div>
            </div>
            <div class="control-group" id="li_don_type">
                <div class="control-label">
                    <?php echo $this->form->getLabel('don_type'); ?>
                </div>
                <div class="controls">
			    	<?php echo $this->form->getInput('don_type'); ?>
                </div>
            </div>
            <div class="control-group" id="li_amount">
                <div class="control-label">
                    <?php echo $this->form->getLabel('amount'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('amount'); ?>
                </div>
            </div>
            <div class="control-group" id="li_tax">
                <div class="control-label">
                    <?php echo $this->form->getLabel('amount'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('taxcalc'); ?>
                    <?php echo $this->form->getInput('tax'); ?>
                </div>
            </div>
            <div class="control-group" id="li_currency">
                <div class="control-label">
                    <?php echo $this->form->getLabel('currency'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('currency'); ?>
                </div>
            </div>

<!--				--><?php //echo $this->form->getLabel('minamount'); ?>
<!--				--><?php //echo $this->form->getInput('minamount'); ?>
<!--			    --><?php //echo $this->form->getLabel('taxcalc'); ?>

            <div class="control-group" style="display:none">
                <div class="control-label">
                    <?php echo $this->form->getLabel('shipping'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('shipping'); ?>
                </div>
            </div>

		</fieldset>

    </div>

    <?php echo JHtml::_('bootstrap.endTab'); ?>

    <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'other_settings', JText::_('COM_PDJX_LEGEND_OTHR')); ?>

    <div class="span12">

		<fieldset class="form-horizontal">
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('testmode'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('testmode'); ?>
                </div>
            </div>
            
		</fieldset>
	</div>

    <?php echo JHtml::_('bootstrap.endTab'); ?>

    <?php echo JHtml::_('bootstrap.endTabSet'); ?>

    <script type="text/javascript">
    	document.getElementById('jform_donation').onchange=function(){checkDonation();};
    	document.getElementById('jform_don_type0').onclick=function(){checkDonation();};
    	document.getElementById('jform_don_type1').onclick=function(){checkDonation();};
    	checkDonation();

    	document.getElementById('jform_type').onchange=function(){checkType();};

    </script>
    

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
	<div class="clr"></div>

    
</form>