<?php
/**
 * @version     2.5.1
 * @package     com_pdjx
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */


// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('bootstrap.tooltip');
JHTML::_('script','system/multiselect.js',false,true);
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_paiddownloadsjx/assets/css/pdjx.css');

$user	= JFactory::getUser();
$userId	= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$canOrder	= $user->authorise('core.edit.state', 'com_paiddownloadsjx');
$saveOrder	= $listOrder == 'a.ordering';

?>

<form action="<?php echo JRoute::_('index.php?option=com_paiddownloadsjx&view=files'); ?>" method="post" name="adminForm" id="adminForm">
	<div id="filter-bar" class="btn-toolbar">
		<div class="filter-search fltlft btn-group pull-left">
			<label class="element-invisible" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('Search'); ?>" />
		</div>
		<div class="btn-group pull-left hidden-phone">
			<button class="btn tip hasTooltip" type="submit" title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>"><i class="icon-search"></i></button>
			<button class="btn tip hasTooltip" type="button" onclick="document.id('filter_search').value='';this.form.submit();" title="<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>"><i class="icon-remove"></i></button>
		</div>
		
        
		<div class='filter-select btn-group'>
			<select name="filter_published" class="inputbox" onchange="this.form.submit()">
				<option value=""><?php echo JText::_('JOPTION_SELECT_PUBLISHED');?></option>
				<?php echo JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), "value", "text", $this->state->get('filter.state'), true);?>
			</select>
		</div>


	</div>
	<div class="clr"> </div>

	<table class="table table-striped">
		<thead>
			<tr>
				<th width="1%" class="hidden-phone">
						<input type="checkbox" name="checkall-toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)" />
				</th>

				<?php if (isset($this->items[0]->state)) { ?>
				<th width="5%">
					<?php echo JHtml::_('grid.sort',  'JPUBLISHED', 'a.state', $listDirn, $listOrder); ?>
				</th>
                <?php } ?>
                <?php if (isset($this->items[0]->ordering)) { ?>
				<th width="10%">
					<?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ORDERING', 'a.ordering', $listDirn, $listOrder); ?>
					<?php if ($canOrder && $saveOrder) :?>
						<?php echo JHtml::_('grid.order',  $this->items, 'filesave.png', 'files.saveorder'); ?>
					<?php endif; ?>
				</th>
                <?php } ?>
				
				<!-- th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_FILES_CREATED_BY', 'a.created_by', $listDirn, $listOrder); ?>
				</th -->
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_FILES_ITEMNAME', 'a.itemname', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_FILES_PRODUCTID', 'a.productid', $listDirn, $listOrder); ?>
				</th>
                <th class='left'>
                    <?php echo JHtml::_('grid.sort',  'COM_PDJX_FORM_LBL_FILE_ELEMENT', 'a.element', $listDirn, $listOrder); ?>
                </th>
                <th class='left'>
                    <?php echo JHtml::_('grid.sort',  'COM_PDJX_FORM_LBL_FILE_TYPE', 'a.type', $listDirn, $listOrder); ?>
                </th>
                <th class='left'>
                    <?php echo JHtml::_('grid.sort',  'COM_PDJX_FORM_LBL_FILE_MAINTAINER', 'a.maintainer', $listDirn, $listOrder); ?>
                </th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_FILES_AMOUNT', 'a.amount', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_FILES_PURCHASES', 'purchases', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_DWNL', 'a.downloads', $listDirn, $listOrder); ?>
				</th>
                
                <?php if (isset($this->items[0]->id)) { ?>
                <th width="1%" class="nowrap">
                    <?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
                </th>
                <?php } ?>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php foreach ($this->items as $i => $item) :
			$ordering	= ($listOrder == 'a.ordering');
			$canCreate	= $user->authorise('core.create',		'com_paiddownloadsjx');
			$canEdit	= $user->authorise('core.edit',			'com_paiddownloadsjx');
			$canCheckin	= $user->authorise('core.manage',		'com_paiddownloadsjx');
			$canChange	= $user->authorise('core.edit.state',	'com_paiddownloadsjx');
			$link = JRoute::_('index.php?option=com_paiddownloadsjx&task=file.edit&id='.$item->id);
			?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="center">
					<?php echo JHtml::_('grid.id', $i, $item->id); ?>
				</td>

				<?php if (isset($this->items[0]->state)) : ?>
				    <td class="center">
					    <?php echo JHtml::_('jgrid.published', $item->state, $i, 'files.', $canChange, 'cb'); ?>
				    </td>
                <?php endif; ?>

                <?php if (isset($this->items[0]->ordering)) : ?>
				    <td class="order">
					    <?php if ($canChange) : ?>
						    <?php if ($saveOrder) :?>
							    <?php if ($listDirn == 'asc') : ?>
								    <span><?php echo $this->pagination->orderUpIcon($i, true, 'files.orderup', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
								    <span><?php echo $this->pagination->orderDownIcon($i, $this->pagination->total, true, 'files.orderdown', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
							    <?php elseif ($listDirn == 'desc') : ?>
								    <span><?php echo $this->pagination->orderUpIcon($i, true, 'files.orderdown', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
								    <span><?php echo $this->pagination->orderDownIcon($i, $this->pagination->total, true, 'files.orderup', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
							    <?php endif; ?>
						    <?php endif; ?>
						    <?php $disabled = $saveOrder ?  '' : 'disabled="disabled"'; ?>
						    <input type="text" name="order[]" size="5" value="<?php echo $item->ordering;?>" <?php echo $disabled ?> class="text-area-order" />
					    <?php else : ?>
						    <?php echo $item->ordering; ?>
					    <?php endif; ?>
				    </td>
                <?php endif; ?>
				<!-- td>
					<?php echo $item->created_by; ?>
				</td -->
				<td class="nowrap">
					<?php if($canEdit) {
						?><a href="<?php echo $link ?>"> <?php echo $item->itemname; ?> </a> 
					<?php } else echo $item->itemname;?>
						
				</td >
				<td class="nowrap">
					<?php echo $item->productid; ?>
				</td>
                <td class="nowrap">
                    <?php echo $item->element; ?>
                </td>
                <td class="nowrap">
                    <?= JText::_('COM_PDJX_TYPE_'. strtoupper($item->type)) ?>
                </td>
                <td class="nowrap">
                    <?php echo $item->maintainer; ?>
                </td>
				<td class="nowrap">
					<?php echo $item->amount; ?>
				</td >
				<td class="nowrap">
					<?php echo $item->purchases; ?>
				</td >
				<td class="nowrap">
					<?php echo $item->downloads; ?>
				</td >


                

                <?php if (isset($this->items[0]->id)) { ?>
				<td class="center">
					<?php echo (int) $item->id; ?>
				</td>
                <?php } ?>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>

	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>