<?php
/**
 * @version     2.5.1
 * @package     com_pdjx
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */
 
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

class PaiddownloadsjxController extends JControllerLegacy
{
	
    public function display($cachable = false, $urlparams = false)
	{
		$input		= $input = JFactory::getApplication()->input;
		$view		= $input->getCmd('view');
		$layout 	= $input->getCmd('layout');

        if ($layout == 'download' && $view == 'file') {
			// Is he who wants to get sth for free?
			$this->setRedirect('index.php', 'Be good!', 'error');
			return false;
		} elseif ($view == 'versions') {
            $this->versions();
        } elseif ($view == 'download') {
            $this->download();
        }

		parent::display();

		return $this;
	}
	
	public function confirm(){
	
		$app = JFactory::getApplication();
		$cnf = JComponentHelper::getParams('com_paiddownloadsjx');
		
		if ($cnf->get('debug'))JLog::addLogger(array( 'text_file' => 'pdjx.php' ), JLog::DEBUG,'pdjx');
				JLog::add('Task confirm started...',JLog::DEBUG,'pdjx');
				//JLog::add('What we got here is request:'.print_r(JRequest::get(),true),JLog::DEBUG,'pdjx'); //a customer had print_r disabled.

		$tx = JRequest::getVar('tx',0);		
				
		if(!$tx) {
		// IPN
			$tx = JRequest::getVar('txn_id', 0 );
			
			if(!$tx){
				JLog::add("Variable 'txn_id' or 'tx' was not in request. Ending task.",JLog::DEBUG,'pdjx');
				return;
			}
			
			JLog::add("--------IPN VALIDATION--------",JLog::DEBUG,'pdjx');
			
			JLog::add('tx:'.$tx,JLog::DEBUG,'pdjx');
			$id = JRequest::getVar('item_number', 0 );
			JLog::add('item_number:'.$id,JLog::DEBUG,'pdjx');
	
			if(!class_exists('PdjxHelper')) require_once(JPATH_COMPONENT.'/helpers/pdjx.php'); //import helper
			$mdl = $this->getModel('File', 'PaiddownloadsjxModel');
			$item = $mdl->getData($id);
		
			
			if(PdjxHelper::validate($item, $transaction_data, $msg)){

			//SUCCESS, save transaction, allow download
			//print_r($transaction_data);

			$app->enqueueMessage(JText::_("COM_PDJX_MSG_SUCCESS"));
			JLog::add('Payment is valid',JLog::DEBUG,'pdjx');
			
			//save user id
			//$user=JFactory::getUser();
			//$transaction_data['userid']=$user->id;
			//$mdl_tx=$this->getModel('Transaction', 'PaiddownloadsjxModel');
			//$mdl_tx->store($transaction_data);
			//Google Analytics
//			if($cnf->get('ga')){
//				$this->GoogleAnalytics($mdl->_item, $transaction_data);
//			}
			//show download button
			$mdl->_item->text=PdjxHelper::parseText($cnf->get('confirm_text'), $item, $transaction_data);
			$mdl->_item->tx=$transaction_data['txn_id'];
			$view = $this->getView('File', 'html');
			$view->setModel($mdl, true);
			$view->setLayout('download');
			$view->display();

			}
			else {
			//FAIL, CHEAT, ERROR, display error message
			JLog::add('Error:'.$msg,JLog::DEBUG,'pdjx');
			$this->setRedirect("index.php?option=com_paiddownloadsjx&task=error", $msg, 'error');
			}	
		}
		
		else {
		//PDT
			if(!$tx){
				JLog::add("Variable 'tx' was not in request. Ending task.",JLog::DEBUG,'pdjx');
				return;
			}
			
			JLog::add("--------PDT VALIDATION--------",JLog::DEBUG,'pdjx');
			
			JLog::add('tx:'.$tx,JLog::DEBUG,'pdjx');
			$id = JRequest::getVar('item_number', 0 );
			JLog::add('item_number:'.$id,JLog::DEBUG,'pdjx');
	
			if(!class_exists('PdjxHelper')) require_once(JPATH_COMPONENT.'/helpers/pdjx.php'); //import helper
			$mdl = $this->getModel('File', 'PaiddownloadsjxModel');
			$item = $mdl->getData($id);
			
			if(PdjxHelper::validate_PDT($item, $transaction_data, $msg)){
				//SUCCESS, save transaction, allow download
				//print_r($transaction_data);
				$app->enqueueMessage(JText::_("COM_PDJX_MSG_SUCCESS"));
				JLog::add('Payment is valid',JLog::DEBUG,'pdjx');
				
				//save user id
				$dbo = JFactory::getDBO();
				$tx_token_quoted=$dbo->quote($transaction_data['txn_id']); //qoute and escape $tx_token
				$query = "SELECT COUNT(*) FROM #__pdjx_tx WHERE txn_id = $tx_token_quoted";
				$dbo->setQuery($query);
				$count = $dbo->loadResult();
				if (!$count) {
					$user=JFactory::getUser();
					$transaction_data['userid']=$user->id;
					$mdl_tx=$this->getModel('Transaction', 'PaiddownloadsjxModel');
					$mdl_tx->store($transaction_data);
				}
				
				//Google Analytics
//				if($cnf->get('ga')){
//					$this->GoogleAnalytics($mdl->_item, $transaction_data);
//				}
				//show download button
				$mdl->_item->text=PdjxHelper::parseText($cnf->get('confirm_text'), $item, $transaction_data);
				$mdl->_item->tx=$transaction_data['txn_id'];
				$view = $this->getView('File', 'html');
				$view->setModel($mdl, true);
				$view->setLayout('download');
				$view->display();
			}else{
				//FAIL, CHEAT, ERROR, display error message
				JLog::add('Error:'.$msg,JLog::DEBUG,'pdjx');
				$this->setRedirect("index.php?option=com_paiddownloadsjx&task=error", $msg, 'error');
			}
		
		
		
		}

	}
	
	public function error(){
		$cnf = JComponentHelper::getParams('com_paiddownloadsjx');
		echo $cnf->get('error_text');
	}

	public function download(){
		$user = JFactory::getUser();
		$input = JFactory::getApplication()->input;
		$id = $input->getInt('id', 0 );
		$version_id = $input->getInt('version_id', 0);
		$txn = $input->getString('txn_hash', 0);
		$cnf = JComponentHelper::getParams('com_paiddownloadsjx');

		if ($id) {
            $item_mdl = $this->getModel('File', 'PaiddownloadsjxModel');
            $item_data = $item_mdl->getData($id);

            $version_mdl = $this->getModel('Version', 'PaiddownloadsjxModel');
            if ($item_data->version > 0) {
                $version_data = $version_mdl->getData($item_data->version);
            } else {
                $version_data = $version_mdl->getDataFromFileID($id);
            }

        } elseif ($version_id) {
            $version_mdl = $this->getModel('Version', 'PaiddownloadsjxModel');
            $version_data = $version_mdl->getData($version_id);

            $item_mdl = $this->getModel('File', 'PaiddownloadsjxModel');
            $item_data = $item_mdl->getData($version_data->fileid);
        }

		if(!$item_data->donation){
		$txn_mdl = $this->getModel('Transaction', 'PaiddownloadsjxModel');

		if($txn) {
			//non registered user
			$txn_data = $txn_mdl->getDataFromTxnHash($txn);

			//is this transaction in database?
			if (!$txn_data->txn_id) {
				$msg = JText::_("COM_PDJX_MSG_TXN_NOT_FOUND");
				$this->setRedirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
				return false;	
			}
            //check if this guy is downoading too much from the thankyou page
//			if ($txn_data->dwnl >= 10){ //$item_data->maxdown) {
//				$msg = JText::_("COM_PDJX_MSG_MAX_DWNL");
//				$this->setRedirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
//				return false;
//			}
		}elseif(!$user->id){
			$msg = JText::_("COM_PDJX_MSG_LOG_IN");
			$this->setRedirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
			return false;
		}else{
			//logged in user
				 //in this case id from database is used
				if(!($txn_data=$txn_mdl->getDataFromUserAndProduct($user, $item_data->id))){
				$msg = JText::_("COM_PDJX_MSG_NOT_PURCHASED");
				$this->setRedirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
				return false;
			}
		}
		$txn_mdl->incrDwnlCount();
		}
		$item_mdl->incrDwnlCount();
		
		
		//import helper
		if(!class_exists('PdjxHelper')) require_once(JPATH_COMPONENT.'/helpers/pdjx.php'); 
		//get filename
		$file = JPATH_ROOT.DIRECTORY_SEPARATOR.$cnf->get('save_folder', 'administrator/components/com_paiddownloadsjx/files').DIRECTORY_SEPARATOR.$version_data->filename;

        if(!file_exists($file)) {
			$msg = JText::_("COM_PDJX_MSG_NO_FILE");
			$this->setRedirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
			return;
		}

        $path_parts = pathinfo($file);
        $file_extension = $path_parts['extension'];

		if (in_array($item_data->type, ['component', 'module', 'plugin', 'package']) && $file_extension == 'zip') {
            $path_to_extract = JPATH_ROOT . DIRECTORY_SEPARATOR . $cnf->get('save_folder', 'administrator/components/com_paiddownloadsjx/files') . DIRECTORY_SEPARATOR . $txn_data->txn_id;
            PdjxHelper::extract_zip_to($file, $path_to_extract);

            if ($item_data->package_files) {
                foreach (json_decode($item_data->package_files) as $p_id) {
                    $p_file = $item_mdl->getSingle($p_id);
                    $item_path = $path_to_extract . '/' . $item_data->element . '/packages/' . $p_file->element;
                    PdjxHelper::extract_zip_to($item_path . '.zip', $item_path);
                    shell_exec('rm -r ' . $item_path . '.zip');
                    PdjxHelper::append_to_xml_update_URL($p_file->type, $item_path, rtrim(JUri::base(), '/') . JRoute::_('index.php?option=com_paiddownloadsjx&view=versions&file_id=' . $p_file->id . '&txn_hash=' . md5($txn_data->txn_id) . '&element=' . $p_file->element, FALSE));
                    PdjxHelper::zip_folder($item_path . '.zip', $item_path);
                    PdjxHelper::delete_directory($item_path);
                }
            } else {
                PdjxHelper::append_to_xml_update_URL($item_data->type, $path_to_extract, rtrim(JUri::base(), '/') . JRoute::_('index.php?option=com_paiddownloadsjx&view=versions&file_id=' . $item_data->id . '&txn_hash=' . md5($txn_data->txn_id) . '&element=' . $item_data->element, FALSE));
            }


            $zip_file = $path_to_extract . DIRECTORY_SEPARATOR . $version_data->filename;
            $zip_folder = PdjxHelper::find_folder($path_to_extract);
            PdjxHelper::zip_folder($zip_file, $path_to_extract);

            PdjxHelper::delete_directory($zip_folder);
        } else {
		    $zip_file = $file;
        }

		$path_parts = pathinfo($zip_file);
		$file_extension = $path_parts['extension'];
		
        header('Content-Description: File Transfer');
        header('Content-Type: '.PdjxHelper::setCType($file_extension).'');
        header('Content-Disposition: attachment; filename='.basename($zip_file));
        header('Content-Transfer-Encoding: binary');
        header('Expires: 0');
        header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
    	header('Pragma: public');
        header('Content-Length: ' . filesize($zip_file));

        ob_clean();
        flush();
        ob_end_flush();

        error_reporting(0);
        if (!@PdjxHelper::readfile_chunked($zip_file)) {
			$ch = curl_init();
			curl_setopt($ch,CURLOPT_URL,$zip_file);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			$res = curl_exec($ch);
			if($res === false)
			{
			    echo 'Curl-Error: ' . curl_error($ch);
			}
			curl_close($ch);
			echo $res;
		}

        if (in_array($item_data->type, ['component', 'module', 'plugin', 'package']) && $file_extension == 'zip') {
            unlink($zip_file);
            PdjxHelper::delete_directory($path_to_extract);
        }

        exit;
	}

	public function versions() {

        $input = JFactory::getApplication()->input;
        $file_id = $input->getInt('file_id', 0);
        $txn = $input->getString('txn_hash', 0);

        $item_mdl = $this->getModel('File', 'PaiddownloadsjxModel');
        $file = $item_mdl->getData($file_id);

        $version_mdl = $this->getModel('Version', 'PaiddownloadsjxModel');
        $versions = $version_mdl->getAllDataFromFileID($file->id);

        $has_access = FALSE;
        $txn_mdl = $this->getModel('Transaction', 'PaiddownloadsjxModel');
        $txn_data = $txn_mdl->getDataFromTxnHash($txn);



        $file_tx = $item_mdl->getSingle($txn_data->item_number);
//        print_r($file_tx);
//        die();
        // || ($file_tx->package_files && in_array($file->id, json_decode($file_tx->package_files)))
        if ($txn_data->item_number == $file->id || ($file_tx->package_files && in_array($file->id, json_decode($file_tx->package_files)))) {
            $has_access = TRUE;
        }

        if (!$has_access) {
            $msg = JText::_("COM_PDJX_MSG_NO_RIGHTS");
            JFactory::getApplication()->redirect('index.php?option=com_paiddownloadsjx&task=error', $msg, 'error');
            return;
        } else {
            $package_files = [];
            if ($file->package_files) {
                $package_files = $item_mdl->getMany(json_decode($file->package_files));
                foreach ($package_files as $package_file) {
                    $package_file->versions = $version_mdl->getAllDataFromFileID($package_file->id);
                }
            }

            $view = $this->getView('versions', 'html');
            $view->file = $file;
            $view->versions = $versions;
            $view->package_files = $package_files;
            $view->txn = $txn;
            $view->setLayout('default.xml');
            $view->display();
        }
    }
	
	private function GoogleAnalytics($item, $tx){
		$cnf = JComponentHelper::getParams('com_paiddownloadsjx');
		$document = JFactory::getDocument();
				$document->addScriptDeclaration("
				    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
						(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
						m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
						})(window,document,'script','//www.google-analytics.com/analytics.js','ga');
				");
				$document->addScriptDeclaration("ga('create', '".$cnf->get('ga')."', {'name': 'ecom'}) ;");
				$document->addScriptDeclaration("ga('ecom.require', 'ecommerce', 'ecommerce.js'); ");
				$document->addScriptDeclaration("
					ga('ecom.ecommerce:addTransaction', {
					  'id': '".$tx['txn_id']."',
					  'revenue': '".@$tx['mc_gross']."',
					  'shipping': '".$tx['mc_fee']."',
					  'tax': '".$tx['tax']."'
					});
				");
				$document->addScriptDeclaration("
					ga('ecom.ecommerce:addItem', {
					  'id': '".$item->productid."',     // Transaction ID. Required.
					  'name': '".$item->itemname."',    // Product name. Required.
					  'price': '".$item->amount."',     // Unit price.
					  'quantity': '1',                 // Quantity.
					  'currencyCode': '".$item->currency."' // local currency code.
					});
				");
				$document->addScriptDeclaration("ga('ecom.ecommerce:send');");
	}
}