<?php

/**
 * @version     2.5.1
 * @package     com_pdjx
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View to edit
 */
class PaiddownloadsjxViewFile extends JViewLegacy {

    protected $state;
    protected $item;
    protected $form;
    protected $params;

    /**
     * Display the view
     */
    public function display($tpl = null) {
        
		$this->state = $this->get('State');
       
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors));
        }
//        $user		= JFactory::getUser();
//        
//        if($this->_layout == 'edit') {
//            
//            $authorised = $user->authorise('core.create', 'com_paiddownloadsjx');
//
//            if ($authorised !== true) {
//                throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'));
//            }
//        }
        
        $this->_prepareDocument();

        parent::display($tpl);
    }

    public function loadTemplate($tpl = null){
    	
    	$app	= JFactory::getApplication();
    	$this->params = $app->getParams('com_paiddownloadsjx');
    	$this->item = $this->get('Data');
	
        
   		
		//echo "<pre>jajaj ";print_r($this->item);echo "</pre>";
        // Check for errors.

    	
    	return parent::loadTemplate($tpl);
    }

	/**
	 * Prepares the document
	 */
	protected function _prepareDocument()
	{
		$app	= JFactory::getApplication();
		$this->document=JFactory::getDocument();
		$this->params = $app->getParams('com_paiddownloadsjx');
		$menus	= $app->getMenu();
		$title	= null;

		// Because the application sets a default page title,
		// we need to get it from the menu item itself
		$menu = $menus->getActive();
		if($menu)
		{
			$this->params->def('page_heading', $this->params->get('page_title', $menu->title));
		} else {
			$this->params->def('page_heading', JText::_('com_pdjx_DEFAULT_PAGE_TITLE'));
		}
		$title = $this->params->get('page_title', '');
		if (empty($title)) {
			$title = $app->getCfg('sitename');
		}
		elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
			$title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
		}
		elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
			$title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
		}
		$this->document->setTitle($title);

		if ($this->params->get('menu-meta_description'))
		{
			$this->document->setDescription($this->params->get('menu-meta_description'));
		}

		if ($this->params->get('menu-meta_keywords'))
		{
			$this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
		}

		if ($this->params->get('robots'))
		{
			$this->document->setMetadata('robots', $this->params->get('robots'));
		}
	}        
    
}
