<?php
#-------------------------------------------------------------------------------
# Copyright (c) 2018 Tools JX.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the GNU Public License v3.0
# which accompanies this distribution, and is available at
# https://www.gnu.org/licenses/gpl-3.0.en.html
#
# Contributors:
# 	Zavod Skatla/Web-help.me  (initial API and implementation)
# Contact:
# 	toolsjx@web-help.me
#-------------------------------------------------------------------------------
defined('_JEXEC') or die('Restricted access'); 

use Joomla\CMS\Factory;
use Joomla\CMS\Session\Session;
use Joomla\CMS\Language\Text;

$app = Factory::getApplication();

if ($app->isClient('site')) {
    Session::checkToken('get') or die(Text::_('JINVALID_TOKEN'));
}

$document = Factory::getApplication()->getDocument();
$wa = $this->document->getWebAssetManager();
$wa->useScript('core');
$document->addScript( 'components/com_grid/js/insertgrid.js' );

//$function  = $app->getInput()->getCmd('function', 'insertGrid');
$editor    = $app->getInput()->getCmd('editor', '');
//$onclick   = $this->escape($function);

//if (!empty($editor)) {
    $this->document->addScriptOptions('xtd-insertgrid', ['editor' => $editor]);
    $onclick = "insertGrid";
//}

?>
<div class="container-popup">
<form action="index.php" method="post" name="adminForm">
<div id="editcell">
    <table class="adminlist">
    <thead>
        <tr>
            <th width="5">
                <?php echo JText::_( 'ID' ); ?>
            </th>

            <th>
                <?php echo JText::_( 'Title' ); ?>
            </th>
            <th>
                <?php echo JText::_( 'Table Name' ); ?>
            </th>
        </tr>
    </thead>
    <?php
    $k = 0;
    for ($i=0, $n=count( $this->items ); $i < $n; $i++)
    {
        $row =& $this->items[$i];
        $checked    = JHTML::_( 'grid.id', $i, $row->idGrid );
        $link = ""; //JRoute::_( 'index.php?option=com_grid&task=edit&cid[]='. $row->idGrid );
 		$onclick = "insertGrid('".$row->idGrid."')";
        ?>
        <tr class="<?php echo "row$k"; ?>">
            <td>
                <?php echo $row->idGrid; ?>
            </td>

            <td>
                <a href="" onclick="<?php echo $onclick; ?>"><?php echo $row->tableCaption; ?></a>
            </td>
            <td>
                <?php echo $row->tableName; ?>
            </td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
    </table>
</div>

<input type="hidden" name="option" value="com_grid" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<!-- if we wanted to use a new controller<input type="hidden" name="controller" value="grid" />-->

</form>
</div>
