<?php
use Joomla\CMS\Factory;

defined('_JEXEC') or die;

class PlgContentDisplaygridInstallerScript
{
    public function install($parent)
    {
        // Enable plugin
        $db  = Factory::getContainer()->get('db');
        $query = $db->getQuery(true);
        $query->update('#__extensions');
        $query->set($db->quoteName('enabled') . ' = 1');
        $query->where($db->quoteName('element') . ' = ' . $db->quote('displaygrid'));
        $query->where($db->quoteName('type') . ' = ' . $db->quote('plugin'));
        $db->setQuery($query);
        $db->execute();

        if (!$db->execute()) {
            Factory::getApplication()->enqueueMessage("Plugin 'displaygrid' is not enabled. Should be enabled manually", 'warning');
            return;
        }

        Factory::getApplication()->enqueueMessage("Plugin 'displaygrid' has been enabled.", 'message');
    }
}

